% ===================================================================================================================================
% Copyright notice:
% These MATLAB-routines have been developed by Guido Terra in answer to a question by Robert Nottrot raised through "www.wisfaq.nl".
% You are free to use, reproduce and distribute them for non-commercial use as long as this copyright notice is included verbatim.
% If you want to modify the code, send a copy of your changes to the author at "terra@nioz.nl".
% Moreover, you are strongly encouraged to contact me to report any bugs, mistakes and other errors.
% The routines have been written for MATLAB-release 13; at least one error is known to occur when using release 12.
% A complete set of files would contain the following 13 files:
%   aantalpatronen.m, bepaalcykels.m, cykellengtes.m,  bepaalpatronen.m, bepaalallebanen.m, bepaalbanen.m
%   equivpatronen.m, diagequivpatronen.m, tekenpatroon.m, patroongetal.m, schrijfpatronen.m
%   patronendemo.m, patronendemo.fig
% This ends the copyright notice.
% ===================================================================================================================================

function varargout = patronendemo(varargin)
% PATRONENDEMO M-file for patronendemo.fig
%      PATRONENDEMO, by itself, creates a new PATRONENDEMO or raises the existing
%      singleton*.
%
%      H = PATRONENDEMO returns the handle to a new PATRONENDEMO or the handle to
%      the existing singleton*.
%
%      PATRONENDEMO('Property','Value',...) creates a new PATRONENDEMO using the
%      given property value pairs. Unrecognized properties are passed via
%      varargin to patronendemo_OpeningFcn.  This calling syntax produces a
%      warning when there is an existing singleton*.
%
%      PATRONENDEMO('CALLBACK') and PATRONENDEMO('CALLBACK',hObject,...) call the
%      local function named CALLBACK in PATRONENDEMO.M with the given input
%      arguments.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help patronendemo

% Last Modified by GUIDE v2.5 13-Apr-2004 20:41:34

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @patronendemo_OpeningFcn, ...
                   'gui_OutputFcn',  @patronendemo_OutputFcn, ...
                   'gui_LayoutFcn',  [], ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before patronendemo is made visible.
function patronendemo_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   unrecognized PropertyName/PropertyValue pairs from the
%            command line (see VARARGIN)

% Eerst de standaard-teksten definieren die als mogelijke vormen langskomen
% Ook voor het wijzigen van Tooltips e.d. moet je hier zijn.
% tooltip voor vulgeheugen
handles.vulgeheugentooltip = 'Vul het geheugen met alle denkbare 2^%i patronen';
% alternatieven voor text_patterns
handles.geengeheugen =       '      Er zitten geen patronen in het geheugen:';
handles.eennonselgeheugen =  'Er zit n (uitgeschakeld) patroon in het geheugen:';
handles.eenselgeheugen =     ' Er zit n (geselecteerd) patroon in het geheugen:';
handles.meernonselgeheugen = 'Nu %i (uitgeschakelde) patronen in geheugen:';
handles.meerselgeheugen =    'Nu %i (%i geselecteerd) patronen in geheugen:';
% alternatieven voor text_patterns_equiv
handles.dubbelgeheugentekst = sprintf('Hierin kunnen nog verschillende representanten\nzitten van dezelfde baan (equivalente patronen).');
handles.aantalgeheugentekst = 'Hiervan zijn er %i echt verschillend.';
handles.goedgeheugentekst = 'Deze zijn allemaal onderling onafhankelijk.';
% alternatieven voor zoekrichting en methode diagequivpatronen, tekst en tooltips
handles.pingeheugentekst = 'Zoekrichting: patroon p in een baan uit geheugen?';
handles.pingeheugentooltip = 'Alternatief: zoek alle patronen uit geheugen in baan van p.';
handles.geheugeninptekst = 'Zoekrichting: geheugen in de baan van patroon p?';
handles.geheugeninptooltip = 'Alternatief: check of p in een baan uit het geheugen zit.';
handles.trafgeheugentekst = 'Methode: transformeer geheugen';
handles.trafgeheugentooltip = 'Alternatief: transformeer ingestelde patroon.';
handles.trafptekst = 'Methode: transformeer patroon p';
handles.trafptooltip = 'Alternatief: transformeer het geheugen.';

% Toelichting met tooltips op de transformaties die je kunt uitvoeren op het patroon.
% De ingestelde voortbrenger, tenzij deze is uitgeschakeld, dan de default-transformatie.
handles.vermeldtransleerx = 'Transleer het huidige patroon "verticaal": %i stapjes omhoog en %i stapjes naar rechts';
handles.vermeldtransleerxdefault = 'Transleer het huidige patroon verticaal 1 stapje naar boven, bij default';
handles.vermeldtransleery = 'Transleer het huidige patroon "horizontaal": %i stapjes omhoog en %i stapjes naar rechts';
handles.vermeldtransleerydefault = 'Transleer het huidige patroon horizontaal 1 stapje naar rechts, bij default';
handles.vermeldspiegels = 'Spiegel het huidige patroon %s';
handles.vermeldspiegelsdefault = 'Spiegel het huidige patroon in verticale as, bij default';
handles.vermelddraaid = 'Roteer het huidige patroon %s';
handles.vermelddraaiddefault = 'Roteer het huidige patroon kwartslag rechtsom, bij default';
handles.vermelddraaiddefaultd = 'Roteer het huidige patroon kwartslag rechtsom, bij default';
handles.vermelddraaiddefaultdd = 'Roteer het huidige patroon 180 graden (puntspiegeling), bij default';

% alternatieven voor keuze-string voor spiegelingen en tooltip
handles.alletrafos5 = {'Geen spiegeling','in verticale as','in horizontale as','in stijgende diagonaal','in dalende diagonaal'};
handles.alletrafos5tooltip = 'Kies hier de voortbrengende spiegeling';
handles.beperkttrafos5 = {'Geen spiegeling','in verticale as','in horizontale as'};
handles.beperkttrafos5tooltip = 'Bij vulling = ''%s'' mag je niet spiegelen in de diagonalen, omdat je dan weer iets anders krijgt';
handles.warntrafos5tooltip = 'Merk op dat spiegeling in een diagonaal alleen op "dubbelperiodieke patronen" wordt toegepast als m~=n.';
% alternatieven voor keuze-string voor draaiingen en tooltip
handles.alletrafos6 = {'Geen draaiing','kwartslag rechtsom','180 graden (puntspiegeling)','kwartslag linksom'};
handles.alletrafos6tooltip = 'Kies hier de voortbrengende draaiing';
handles.beperkttrafos6 = {'Geen draaiing','180 graden (puntspiegeling)'};
handles.beperkttrafos6tooltip = 'Bij vulling = ''%s'' mag je niet een kwartslag draaien, omdat je dan weer iets anders krijgt';
handles.warntrafos6tooltip = sprintf('Merk op dat draaiing over een kwartslag alleen op "dubbelperiodieke patronen" wordt toegepast als m~=n.\n kwartslag rechtsom wordt vervangen door puntspiegeling, kwartslag linksom wordt door de identiteit.');
% alternatieven voor text_aantalpatronen
handles.onbekendaantal = sprintf('Het aantal onafhankelijke patronen onder\ndeze instellingen is nog niet uitgerekend.');
handles.berekendaantal = 'Onder deze instellingen zijn er\n%i onafhankelijke patronen.';
% alternatieven voor tooltip bepaaluitvoer
handles.bepaalpatronentooltip = 'bepaalpatronen: zet van alle onafhankelijke patronen n representant in het geheugen';
handles.bepaalallebanentooltip = 'bepaalallebanen: zet van elk patroon de representant van zijn baan in het geheugen';
handles.schrijfpatronentooltip = 'schrijfpatronen: schrijf alle onafhankelijke patronen in overzichtelijke uitvoer';


% Alle waarden initialiseren.
set(handles.kiesm,'Value',4); set(handles.kiesn,'Value',4); % We beginnen standaard op 4x4.
handles.oudmn = [4 4]; % En we onthouden de afmetingen om bij wijzigingen het oude patroon nog te kunnen bepalen.
set(handles.vulling,'Value',3); % Met patronen uit diagonalen, vulling == '\/'.
set(handles.patroongetal,'String','0'); % Het meest simpele patroon.
handles.oudp = 0; % Ook de restore-waarde initialiseren.
set(handles.trafos1,'Value',2); set(handles.trafos2,'Value',1); % 'verticale' translatie
set(handles.trafos3,'Value',1); set(handles.trafos4,'Value',2); % 'horizontale' translatie
set(handles.trafos5,'Value',2); % spiegeling s
set(handles.trafos6,'Value',2); % draaiing d
set(handles.trafos7,'Value',0); % geen flip.
set(handles.bepaalkeuze,'Value',1); % bepaalpatronen
set(handles.uitvoercode,'Value',1); % schrijfpatronen naar scherm
set(handles.bestandsnaam,'String','default_bestandsnaam_schrijfpatronen_uitvoer.txt'); % de default-bestandsnaam.
set(handles.uitbr1,'String','2'); set(handles.uitbr2,'String','3'); % de te tekenen uitbreidingen.
handles.ouduitbr = [2 3]; % Ook de restore-waarden initialiseren.
handles.commandoelem = ''; % Hierin houden we het laatste patroongetal-commando door elem-wijzigingen bij.

% Choose default command line output for patronendemo
handles.output = hObject;
% Update handles structure
guidata(hObject, handles);

% UIWAIT makes patronendemo wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = patronendemo_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on mouse press over figure background.
function figure1_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end



% ============================================================================
%   Tot hier waren de routines die het basisgedrag regelen.
%   Nu volgen de routines die aangeroepen worden bij interactie
%   van de user met de controls op de GUI.
% ============================================================================


% ----------------------------------------------------------------------------
%   De basisinstellingen: afmetingen, vulling en trafos.
% ----------------------------------------------------------------------------

% --- Executes during object creation, after setting all properties.
function kiesm_CreateFcn(hObject, eventdata, handles)
% hObject    handle to kiesm (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in kiesm.
function kiesm_Callback(hObject, eventdata, handles)
% hObject    handle to kiesm (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns kiesm contents as cell array
%        contents{get(hObject,'Value')} returns selected item from kiesm

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

% controleren of m*n niet zo groot wordt dat je niet meer met bin2dec kunt rekenen.
if m*n <= 52
	% We gaan alleen verder als er niet teveel patronen komen om nog met bin2dec te rekenen.
	% Anders wordt alles uitgeschakeld behalve aantalpatronen.

	% patroon op de oude afmetingen als string weergegeven.
	oudpstr = tekenpatroon(p,handles.oudmn(1),handles.oudmn(2),[1,1],vulling);

	% Ook de oude patronen in het geheugen moeten worden onthouden als strings.
	geheugen = get(handles.patterns,'String');
	if ~isempty(geheugen)
        geheugen = str2double(geheugen);
        aantalgeheugen = length(geheugen);
		geheugen = tekenpatroon(geheugen,handles.oudmn(1),handles.oudmn(2),[1,1],vulling);
	end

	% Het nieuwe patroon maken door insnijden van voortzetting van het oude patroon.
	% Eerst voldoende kopien van het oude patroon maken.
	genoeguitbr = ceil(m/handles.oudmn(1));
	pstr = oudpstr; % op het oude fundamentaalgebied
	for t=2:genoeguitbr pstr = [pstr;oudpstr]; end % verticaal uitbreiden.
	genoeguitbr = ceil(n/handles.oudmn(2));
    oudpstr = pstr; % de hele kolom als fundamentaalgebied nemen.
	for t=2:genoeguitbr pstr = [pstr,oudpstr]; end % horizontaal uitbreiden.
	pstr = pstr(1:m,1:n); % Tenslotte nog inknippen tot het huidige formaat, omdat dat niet een multiple van het oude hoeft te zijn.

	% patroongetal en de elem-knoppen bijwerken
	p = patroongetal(pstr,vulling);
	set(handles.patroongetal, 'String', int2str(p));
	% De tekening van het patroon op de knoppen elem aanpassen, alsook de Visible-eigenschap
	for i=0:m-1
        for j=0:n-1
            % Binnen de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i,''String'',''%c'', ''Visible'', ''on'');',i,j,pstr(i+1,j+1));
            eval(commando);
		end
	end
	for i=m:9
        for j=0:n-1
            % Onder de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i, ''Visible'', ''off'');',i,j);
            eval(commando);
        end
	end
	% Merk op: omdat n niet is gewijzigd hoeft er niets rechts van het patroon aan Visible verandert te worden.

	if ~isempty(geheugen)
		% Ook de patronen in het geheugen moeten worden omgerekend.
		% Eerst voldoende kopien van het oude patroon maken.
		genoeguitbr = ceil(m/handles.oudmn(1));
		pstr = geheugen; % op het oude fundamentaalgebied
        for t=2:genoeguitbr geheugen = [geheugen;pstr]; end % verticaal uitbreiden.
		genoeguitbr = ceil(n/handles.oudmn(2));
		for t=2:genoeguitbr geheugen = [geheugen,pstr]; end % horizontaal uitbreiden.
		geheugen = geheugen(1:m,1:n,:); % Tenslotte nog inknippen tot het huidige formaat, omdat dat niet een multiple van het oude hoeft te zijn.
		geheugen = patroongetal(geheugen,vulling); % en terugrekenen naar getallen.
		set(handles.patterns,'String',cellstr(int2str(geheugen))); % en de omgerekende getallen in het geheugen zetten.
	end

	% Resetten van de meldingen die equivalenties uitgerekend hadden
	set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
    % De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
    if length(get(handles.patterns,'Value')) > 1
        set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
    elseif length(geheugen) > 1
        set(handles.bepaalbanen,'Enable','on');
    end
	set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);
	% Tooltip van vulgeheugen aanpassen
	set(handles.vulgeheugen,'TooltipString', sprintf(handles.vulgeheugentooltip,m*n));

	% Translaties aanpassen
	trafos14 = [get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),get(handles.trafos3,'Value'),get(handles.trafos4,'Value')];
	trafos14 = mod(trafos14-1,[m n m n]);
	% Alleen x^i hoeft te worden bijgewerkt bij m-verandering
	set(handles.trafos1, 'Value', trafos14(1)+1, 'String', int2str([0:m-1]'));
	set(handles.trafos3, 'Value', trafos14(3)+1, 'String', int2str([0:m-1]'));
	% De Tooltips van beide translaties aanpassen
	if trafos14(1:2) == [0 0]
        set(handles.transleerx, 'TooltipString',handles.vermeldtransleerxdefault);
	else
        set(handles.transleerx, 'TooltipString',sprintf(handles.vermeldtransleerx,trafos14(1:2)));
	end
	if trafos14(3:4) == [0 0]
        set(handles.transleery, 'TooltipString',handles.vermeldtransleerydefault);
	else
        set(handles.transleery, 'TooltipString',sprintf(handles.vermeldtransleery,trafos14(3:4)));
	end

	% De Tooltips van spiegelingen en draaiingen aanpassen (is ook afhankelijk van vulling)
	switch vulling
	case {'x+','-|','\/','sz'}
        if m==n
            % In deze gevallen zijn gewoon alle transformaties mogelijk
            set(handles.trafos5, 'TooltipString', handles.alletrafos5tooltip);
            set(handles.trafos6, 'TooltipString', handles.alletrafos6tooltip);
        else
            % Hoewel alle transformaties in te stellen zijn, is een waarschuwing
            % voor de interpretatie op wel/niet dubbelperiodieke patronen op zijn plaats
            set(handles.trafos5, 'TooltipString', handles.warntrafos5tooltip);
            set(handles.trafos6, 'TooltipString', handles.warntrafos6tooltip);
        end
	case {'<>','MW'}
        % In deze gevallen zijn enkele mogelijkheden uitgeschakeld
        set(handles.trafos5, 'TooltipString', sprintf(handles.beperkttrafos5tooltip,vulling));
        set(handles.trafos6, 'TooltipString', sprintf(handles.beperkttrafos6tooltip,vulling));
	end

	% De nieuwe waarden van de afmetingen onthouden
	handles.oudmn = [m n];
	guidata(hObject, handles);

    % Als de knoppen waren uitgeschakeld i.v.m. te grote patronen, dan moet dat nu weer goed gemaakt worden.
    if isequal(get(handles.elem00,'Enable'), 'off')
        % Eerst de knoppen die altijd aan staan.
        elemhandles = zeros(10,10); for i=0:9 for j=0:9 commando = sprintf('elemhandles(i+1,j+1) = handles.elem%i%i;',i,j,i,j); eval(commando); end;end
        elemhandles = reshape(elemhandles,1,100);
        set([handles.patroongetal elemhandles, handles.transleerx, handles.transleery, handles.spiegels, handles.draaid, handles.flipf,...
                handles.bepaalkeuze, handles.uitvoercode, handles.bepaaluitvoer, handles.bestandsnaam,...
                handles.voegtoe, handles.vulgeheugen, handles.uitbr1, handles.uitbr2],...
                                                                     'Enable','on');
        % Dan nu de knoppen die aan staan als er genoeg geselecteerd is of in het geheugen zit.
        % String en selectie in huidige patterns bepalen
        geheugen = get(handles.patterns,'String'); selectie = get(handles.patterns,'Value');
        % Bij een leeg geheugen hoeft er niets meer aan te gaan.
        if ~isempty(geheugen)
            % selectalles als nog niet alles is geselecteerd
            if length(geheugen) > length(selectie) set(handles.selectalles,'Enable','on'); end

            % de knoppen die maar een geselecteerd element nodig hebben
            if ~isempty(selectie)
                set([handles.verwijder, handles.diagequivpatronen, handles.equiv_zoekrichting, handles.equiv_methode, handles.tekenpatroon],...
                                                                  'Enable','on');
            end % if selectie

            % de knoppen die minstens twee in het geheugen moeten hebben
            if length(geheugen) > 1
                set(handles.bepaalbanen,'Enable','on');
                set(handles.text_patterns_equiv, 'Visible','on');

                % de knoppen die minstens twee geselecteerden nodig hebben
                if length(selectie) > 1
                    set([handles.verwijder_gelijke, handles.verwijder_equiv],'Enable','on');
                end % if meer selectie
            end % if meer geheugen
        end % if geheugen
    end % if knoppen herstellen
else
    % Als m*n te groot is, dan is bovenstaande allemaal niet uitgevoerd en wordt alles uitgezet,
	% m.u.v. aantalpatronen en de knoppen om m,n, vulling en trafos in te stellen.

    % Waarschuwing (alleen als die niet al gegeven was)
	if isequal(get(handles.elem00,'Enable'),'on')
        warndlg(sprintf('Bij meer dan 52 vakjes kunnen er afrondfouten optreden\n   en kunnen patronen niet meer gerepresenteerd worden.\n          ''aantalpatronen'' moet nog wel goed gaan.\n      (maar niet meer op gehele getallen nauwkeurig)'),'Afmetingen te groot');

        % Alle knoppen uitzetten, en text_patterns_equiv onzichtbaar maken.
		elemhandles = zeros(10,10); for i=0:9 for j=0:9 commando = sprintf('elemhandles(i+1,j+1) = handles.elem%i%i;',i,j,i,j); eval(commando); end;end
        elemhandles = reshape(elemhandles,1,100);
		set([handles.patroongetal elemhandles, handles.transleerx, handles.transleery, handles.spiegels, handles.draaid, handles.flipf,...
             handles.bepaalkeuze, handles.uitvoercode, handles.bepaaluitvoer, handles.bestandsnaam,...
             handles.voegtoe, handles.vulgeheugen, handles.selectalles, handles.verwijder, handles.verwijder_gelijke, handles.verwijder_equiv, handles.bepaalbanen,...
             handles.diagequivpatronen, handles.equiv_zoekrichting, handles.equiv_methode, handles.tekenpatroon, handles.uitbr1, handles.uitbr2],...
                                                                            'Enable','off');
		set(handles.text_patterns_equiv, 'Visible','off');
    end % if nog niet gewaarschuwd

    % We gaan nog wel bijhouden hoe de patronen er voor deze instellingen uit zouden kunnen zien.
    % patroongetal als string weergegeven.
	pstr = tekenpatroon(p,m,n,[1,1],vulling);
	% De tekening van het patroon op de knoppen elem aanpassen, alsook de Visible-eigenschap
	for i=0:m-1
        for j=0:n-1
            % Binnen de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i,''String'',''%c'', ''Visible'', ''on'');',i,j,pstr(i+1,j+1));
            eval(commando);
		end
	end
	for i=m:9
        for j=0:n-1
            % Onder de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i, ''Visible'', ''off'');',i,j);
            eval(commando);
        end
	end
	% Merk op: omdat n niet is gewijzigd hoeft er niets rechts van het patroon aan Visible verandert te worden.

	% Omdat je nu alleen nog maar aantalpatronen kunt gebruiken, wordt die automatisch toegepast als m*n te groot.
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end % if m*n niet te groot


% --- Executes during object creation, after setting all properties.
function kiesn_CreateFcn(hObject, eventdata, handles)
% hObject    handle to kiesn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in kiesn.
function kiesn_Callback(hObject, eventdata, handles)
% hObject    handle to kiesn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns kiesn contents as cell array
%        contents{get(hObject,'Value')} returns selected item from kiesn

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

% controleren of m*n niet zo groot wordt dat je niet meer met bin2dec kunt rekenen.
if m*n <= 52
	% We gaan alleen verder als er niet teveel patronen komen om nog met bin2dec te rekenen.
	% Anders wordt alles uitgeschakeld behalve aantalpatronen.

	% patroon op de oude afmetingen als string weergegeven.
	oudpstr = tekenpatroon(p,handles.oudmn(1),handles.oudmn(2),[1,1],vulling);

	% Ook de oude patronen in het geheugen moeten worden onthouden als strings.
	geheugen = get(handles.patterns,'String');
	if ~isempty(geheugen)
        geheugen = str2double(geheugen);
        aantalgeheugen = length(geheugen);
		geheugen = tekenpatroon(geheugen,handles.oudmn(1),handles.oudmn(2),[1,1],vulling);
	end

	% Het nieuwe patroon maken door insnijden van voortzetting van het oude patroon.
	% Eerst voldoende kopien van het oude patroon maken.
	genoeguitbr = ceil(m/handles.oudmn(1));
	pstr = oudpstr; % op het oude fundamentaalgebied
	for t=2:genoeguitbr pstr = [pstr;oudpstr]; end % verticaal uitbreiden.
	genoeguitbr = ceil(n/handles.oudmn(2));
    oudpstr = pstr; % de hele kolom als fundamentaalgebied nemen.
	for t=2:genoeguitbr pstr = [pstr,oudpstr]; end % horizontaal uitbreiden.
	pstr = pstr(1:m,1:n); % Tenslotte nog inknippen tot het huidige formaat, omdat dat niet een multiple van het oude hoeft te zijn.

	% patroongetal en de elem-knoppen bijwerken
	p = patroongetal(pstr,vulling);
	set(handles.patroongetal, 'String', int2str(p));
	% De tekening van het patroon op de knoppen elem aanpassen, alsook de Visible-eigenschap
	for i=0:m-1
        for j=0:n-1
            % Binnen de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i,''String'',''%c'', ''Visible'', ''on'');',i,j,pstr(i+1,j+1));
            eval(commando);
		end
        for j=n:9
            % Rechts van de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i, ''Visible'', ''off'');',i,j);
            eval(commando);
        end
	end
	% Merk op: omdat m niet is gewijzigd hoeft er niets onder het patroon aan Visible verandert te worden.

	if ~isempty(geheugen)
		% Ook de patronen in het geheugen moeten worden omgerekend.
		% Eerst voldoende kopien van het oude patroon maken.
		genoeguitbr = ceil(m/handles.oudmn(1));
		pstr = geheugen; % op het oude fundamentaalgebied
        for t=2:genoeguitbr geheugen = [geheugen;pstr]; end % verticaal uitbreiden.
		genoeguitbr = ceil(n/handles.oudmn(2));
		for t=2:genoeguitbr geheugen = [geheugen,pstr]; end % horizontaal uitbreiden.
		geheugen = geheugen(1:m,1:n,:); % Tenslotte nog inknippen tot het huidige formaat, omdat dat niet een multiple van het oude hoeft te zijn.
		geheugen = patroongetal(geheugen,vulling); % en terugrekenen naar getallen.
		set(handles.patterns,'String',cellstr(int2str(geheugen))); % en de omgerekende getallen in het geheugen zetten.
	end

	% Resetten van de meldingen die equivalenties uitgerekend hadden
	set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
    % De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
    if length(get(handles.patterns,'Value')) > 1
        set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
    elseif length(geheugen) > 1
        set(handles.bepaalbanen,'Enable','on');
    end
	set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);
	% Tooltip van vulgeheugen aanpassen
	set(handles.vulgeheugen,'TooltipString', sprintf(handles.vulgeheugentooltip,m*n));

	% Translaties aanpassen
	trafos14 = [get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),get(handles.trafos3,'Value'),get(handles.trafos4,'Value')];
	trafos14 = mod(trafos14-1,[m n m n]);
	% Alleen y^j hoeft te worden bijgewerkt bij n-verandering
	set(handles.trafos2, 'Value', trafos14(2)+1, 'String', int2str([0:n-1]'));
	set(handles.trafos4, 'Value', trafos14(4)+1, 'String', int2str([0:n-1]'));
	% De Tooltips van beide translaties aanpassen
	if trafos14(1:2) == [0 0]
        set(handles.transleerx, 'TooltipString',handles.vermeldtransleerxdefault);
	else
        set(handles.transleerx, 'TooltipString',sprintf(handles.vermeldtransleerx,trafos14(1:2)));
	end
	if trafos14(3:4) == [0 0]
        set(handles.transleery, 'TooltipString',handles.vermeldtransleerydefault);
	else
        set(handles.transleery, 'TooltipString',sprintf(handles.vermeldtransleery,trafos14(3:4)));
	end

	% De Tooltips van spiegelingen en draaiingen aanpassen (is ook afhankelijk van vulling)
	switch vulling
	case {'x+','-|','\/','sz'}
        if m==n
            % In deze gevallen zijn gewoon alle transformaties mogelijk
            set(handles.trafos5, 'TooltipString', handles.alletrafos5tooltip);
            set(handles.trafos6, 'TooltipString', handles.alletrafos6tooltip);
        else
            % Hoewel alle transformaties in te stellen zijn, is een waarschuwing
            % voor de interpretatie op wel/niet dubbelperiodieke patronen op zijn plaats
            set(handles.trafos5, 'TooltipString', handles.warntrafos5tooltip);
            set(handles.trafos6, 'TooltipString', handles.warntrafos6tooltip);
        end
	case {'<>','MW'}
        % In deze gevallen zijn enkele mogelijkheden uitgeschakeld
        set(handles.trafos5, 'TooltipString', sprintf(handles.beperkttrafos5tooltip,vulling));
        set(handles.trafos6, 'TooltipString', sprintf(handles.beperkttrafos6tooltip,vulling));
	end

	% De nieuwe waarden van de afmetingen onthouden
	handles.oudmn = [m n];
	guidata(hObject, handles);

    % Als de knoppen waren uitgeschakeld i.v.m. te grote patronen, dan moet dat nu weer goed gemaakt worden.
    if isequal(get(handles.elem00,'Enable'), 'off')
        % Eerst de knoppen die altijd aan staan.
        elemhandles = zeros(10,10); for i=0:9 for j=0:9 commando = sprintf('elemhandles(i+1,j+1) = handles.elem%i%i;',i,j,i,j); eval(commando); end;end
        elemhandles = reshape(elemhandles,1,100);
        set([handles.patroongetal elemhandles, handles.transleerx, handles.transleery, handles.spiegels, handles.draaid, handles.flipf,...
                handles.bepaalkeuze, handles.uitvoercode, handles.bepaaluitvoer, handles.bestandsnaam,...
                handles.voegtoe, handles.vulgeheugen, handles.uitbr1, handles.uitbr2],...
                                                                     'Enable','on');
        % Dan nu de knoppen die aan staan als er genoeg geselecteerd is of in het geheugen zit.
        % String en selectie in huidige patterns bepalen
        geheugen = get(handles.patterns,'String'); selectie = get(handles.patterns,'Value');
        % Bij een leeg geheugen hoeft er niets meer aan te gaan.
        if ~isempty(geheugen)
            % selectalles als nog niet alles is geselecteerd
            if length(geheugen) > length(selectie) set(handles.selectalles,'Enable','on'); end

            % de knoppen die maar een geselecteerd element nodig hebben
            if ~isempty(selectie)
                set([handles.verwijder, handles.diagequivpatronen, handles.equiv_zoekrichting, handles.equiv_methode, handles.tekenpatroon],...
                                                                  'Enable','on');
            end % if selectie

            % de knoppen die minstens twee in het geheugen moeten hebben
            if length(geheugen) > 1
                set(handles.bepaalbanen,'Enable','on');
                set(handles.text_patterns_equiv, 'Visible','on');

                % de knoppen die minstens twee geselecteerden nodig hebben
                if length(selectie) > 1
                    set([handles.verwijder_gelijke, handles.verwijder_equiv],'Enable','on');
                end % if meer selectie
            end % if meer geheugen
        end % if geheugen
	end % if knoppen herstellen
else
    % Als m*n te groot is, dan is bovenstaande allemaal niet uitgevoerd en wordt alles uitgezet,
	% m.u.v. aantalpatronen en de knoppen om m,n, vulling en trafos in te stellen.

    % Waarschuwing (alleen als die niet al gegeven was)
	if isequal(get(handles.elem00,'Enable'),'on')
        warndlg(sprintf('Bij meer dan 52 vakjes kunnen er afrondfouten optreden\n   en kunnen patronen niet meer gerepresenteerd worden.\n          ''aantalpatronen'' moet nog wel goed gaan.\n      (maar niet meer op gehele getallen nauwkeurig)'),'Afmetingen te groot');

        % Alle knoppen uitzetten, en text_patterns_equiv onzichtbaar maken.
		elemhandles = zeros(10,10); for i=0:9 for j=0:9 commando = sprintf('elemhandles(i+1,j+1) = handles.elem%i%i;',i,j,i,j); eval(commando); end;end
        elemhandles = reshape(elemhandles,1,100);
		set([handles.patroongetal elemhandles, handles.transleerx, handles.transleery, handles.spiegels, handles.draaid, handles.flipf,...
             handles.bepaalkeuze, handles.uitvoercode, handles.bepaaluitvoer, handles.bestandsnaam,...
             handles.voegtoe, handles.vulgeheugen, handles.selectalles, handles.verwijder, handles.verwijder_gelijke, handles.verwijder_equiv, handles.bepaalbanen,...
             handles.diagequivpatronen, handles.equiv_zoekrichting, handles.equiv_methode, handles.tekenpatroon, handles.uitbr1, handles.uitbr2],...
                                                                            'Enable','off');
		set(handles.text_patterns_equiv, 'Visible','off');
    end % if nog niet gewaarschuwd

    % We gaan nog wel bijhouden hoe de patronen er voor deze instellingen uit zouden kunnen zien.
    % patroongetal als string weergegeven.
	pstr = tekenpatroon(p,m,n,[1,1],vulling);
	% De tekening van het patroon op de knoppen elem aanpassen, alsook de Visible-eigenschap
	for i=0:m-1
        for j=0:n-1
            % Binnen de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i,''String'',''%c'', ''Visible'', ''on'');',i,j,pstr(i+1,j+1));
            eval(commando);
		end
        for j=n:9
            % Rechts van de huidige afmetingen.
            commando = sprintf('set(handles.elem%i%i, ''Visible'', ''off'');',i,j);
            eval(commando);
        end
	end
	% Merk op: omdat m niet is gewijzigd hoeft er niets onder het patroon aan Visible verandert te worden.

    % Omdat je nu alleen nog maar aantalpatronen kunt gebruiken, wordt die automatisch toegepast als m*n te groot.
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end % if m*n niet te groot


% --- Executes during object creation, after setting all properties.
function vulling_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vulling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end

% --- Executes on selection change in vulling.
function vulling_Callback(hObject, eventdata, handles)
% hObject    handle to vulling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns vulling contents as cell array
%        contents{get(hObject,'Value')} returns selected item from vulling

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
commando = sprintf('tekenpatroon(%i, %i,%i, [1,1],''%s'')', p,m,n,vulling); disp(commando);
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Zo nodig spiegelingen en draaiingen beperken.
switch vulling
case {'x+','-|','\/','sz'}
    if m==n
        % Spiegelingen voegen mogelijk gewoon twee extra mogelijkheden toe, dus geen hernummering nodig.
        set(handles.trafos5, 'String', handles.alletrafos5, 'TooltipString', handles.alletrafos5tooltip);
        % Draaiingen kunnen extra tussengevoegd worden, maar als hij op d^2 stond als enige niet-triviale mogelijkheid
        % dan kan hij best d worden voor de meer toelatende vulling (Value==1 blijft 1, maar krijgt mogelijk andere betekenis).
        set(handles.trafos6, 'String', handles.alletrafos6, 'TooltipString', handles.alletrafos6tooltip);
    else
        % Spiegelingen voegen mogelijk gewoon twee extra mogelijkheden toe, dus geen hernummering nodig.
        set(handles.trafos5, 'String', handles.alletrafos5, 'TooltipString', handles.warntrafos5tooltip);
        % Draaiingen kunnen extra tussengevoegd worden, maar als hij op d^2 stond als enige niet-triviale mogelijkheid
        % dan kan hij best d worden voor de meer toelatende vulling (Value==1 blijft 1, maar krijgt mogelijk andere betekenis).
        set(handles.trafos6, 'String', handles.alletrafos6, 'TooltipString', handles.warntrafos6tooltip);
    end
    % Ook de default voor draaid bij uitgeschakelde trafos6 wordt aangepast, nu d weer toegestaan is.
    handles.vermelddraaiddefault = handles.vermelddraaiddefaultd;
case {'<>','MW'}
    % Nu beperken we het aantal mogelijkheden, dus we moeten opletten of de huidige waarde nog wel mag.
    % Te hoge spiegelingen worden op e gezet.
    huidige = get(handles.trafos5,'Value'); if huidige > 3 set(handles.trafos5, 'Value',1); end
    set(handles.trafos5, 'String', handles.beperkttrafos5, 'TooltipString', sprintf(handles.beperkttrafos5tooltip,vulling));
    % Te hoge draaiingen worden op d^2 gezet.
    huidige = get(handles.trafos6,'Value'); if huidige > 2 set(handles.trafos6, 'Value',2); end
    set(handles.trafos6, 'String', handles.beperkttrafos6, 'TooltipString', sprintf(handles.beperkttrafos6tooltip,vulling));
    % Ook de default voor draaid bij uitgeschakelde trafos6 wordt aangepast.
    handles.vermelddraaiddefault = handles.vermelddraaiddefaultdd;
end
% Omdat de voortbrenger van draaiing/spiegeling gewijzigd kan zijn,
% moeten ook de tooltips van spiegels en draaid worden bijgewerkt.
huidige = get(handles.trafos5,'String'); huidige = huidige{get(handles.trafos5,'Value')};
if isequal(huidige,'Geen spiegeling')
    set(handles.spiegels, 'TooltipString',handles.vermeldspiegelsdefault);
else
    set(handles.spiegels, 'TooltipString',sprintf(handles.vermeldspiegels,huidige));
end
huidige = get(handles.trafos6,'String'); huidige = huidige{get(handles.trafos6,'Value')};
if isequal(huidige,'Geen draaiing')
    set(handles.draaid, 'TooltipString',handles.vermelddraaiddefault);
else
    set(handles.draaid, 'TooltipString',sprintf(handles.vermelddraaid,huidige));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end

% Zorgen dat wijzigingen (in handles.vermelddraaiddefault) behouden blijven
guidata(hObject, handles);

% ----------------------------------------------------------------------------
%   Instellen van de voortbrengende transformaties
% ----------------------------------------------------------------------------

% --- Executes during object creation, after setting all properties.
function trafos1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos1.
function trafos1_Callback(hObject, eventdata, handles)
% hObject    handle to trafos1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos1

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van translatiex aanpassen
trafos12 = [get(handles.trafos1,'Value'),get(handles.trafos2,'Value')]-1;
if trafos12 == [0 0]
    set(handles.transleerx, 'TooltipString',handles.vermeldtransleerxdefault);
else
    set(handles.transleerx, 'TooltipString',sprintf(handles.vermeldtransleerx,trafos12));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes during object creation, after setting all properties.
function trafos2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos2.
function trafos2_Callback(hObject, eventdata, handles)
% hObject    handle to trafos2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos2 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos2

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van translatiex aanpassen
trafos12 = [get(handles.trafos1,'Value'),get(handles.trafos2,'Value')]-1;
if trafos12 == [0 0]
    set(handles.transleerx, 'TooltipString',handles.vermeldtransleerxdefault);
else
    set(handles.transleerx, 'TooltipString',sprintf(handles.vermeldtransleerx,trafos12));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes during object creation, after setting all properties.
function trafos3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos3.
function trafos3_Callback(hObject, eventdata, handles)
% hObject    handle to trafos3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos3 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos3

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van translatiey aanpassen
trafos34 = [get(handles.trafos3,'Value'),get(handles.trafos4,'Value')]-1;
if trafos34 == [0 0]
    set(handles.transleery, 'TooltipString',handles.vermeldtransleerydefault);
else
    set(handles.transleery, 'TooltipString',sprintf(handles.vermeldtransleery,trafos34));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes during object creation, after setting all properties.
function trafos4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos4.
function trafos4_Callback(hObject, eventdata, handles)
% hObject    handle to trafos4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos4 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos4

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van translatiey aanpassen
trafos34 = [get(handles.trafos3,'Value'),get(handles.trafos4,'Value')]-1;
if trafos34 == [0 0]
    set(handles.transleery, 'TooltipString',handles.vermeldtransleerydefault);
else
    set(handles.transleery, 'TooltipString',sprintf(handles.vermeldtransleery,trafos34));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes during object creation, after setting all properties.
function trafos5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos5.
function trafos5_Callback(hObject, eventdata, handles)
% hObject    handle to trafos5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos5 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos5

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van spiegels aanpassen
huidige = get(handles.trafos5,'String'); huidige = huidige{get(handles.trafos5,'Value')};
if isequal(huidige,'Geen spiegeling')
    set(handles.spiegels, 'TooltipString',handles.vermeldspiegelsdefault);
else
    set(handles.spiegels, 'TooltipString',sprintf(handles.vermeldspiegels,huidige));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes during object creation, after setting all properties.
function trafos6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to trafos6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in trafos6.
function trafos6_Callback(hObject, eventdata, handles)
% hObject    handle to trafos6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns trafos6 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from trafos6

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% Tooltip van draaid aanpassen
huidige = get(handles.trafos6,'String'); huidige = huidige{get(handles.trafos6,'Value')};
if isequal(huidige,'Geen draaiing')
    set(handles.draaid, 'TooltipString',handles.vermelddraaiddefault);
else
    set(handles.draaid, 'TooltipString',sprintf(handles.vermelddraaid,huidige));
end

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% --- Executes on button press in trafos7.
function trafos7_Callback(hObject, eventdata, handles)
% hObject    handle to trafos7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of trafos7

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Resetten van de meldingen die equivalenties uitgerekend hadden
set(handles.text_patterns_equiv, 'String', handles.dubbelgeheugentekst);
% De knoppen verwijder_gelijke, verwijder_equiv en bepaalbanen zo nodig aan zetten.
if length(get(handles.patterns,'Value')) > 1
    set([handles.bepaalbanen, handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','on');
elseif length(get(handles.patterns,'String')) > 1
    set(handles.bepaalbanen,'Enable','on');
end
set(handles.text_aantalpatronen, 'String', handles.onbekendaantal);

% als alleen aantalpatronen mogelijk is, dan voeren we hem ook maar meteen uit.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
if m*n > 52
	aantalpatronen_Callback(handles.aantalpatronen, eventdata, handles);
end


% ----------------------------------------------------------------------------
%   De berekeningen van alle onafhankelijke patronen:
%   'aantalpatronen', 'bepaalpatronen', 'bepaalallebanen' en 'schrijfpatronen'
% ----------------------------------------------------------------------------

% --- Executes on button press in aantalpatronen.
function aantalpatronen_Callback(hObject, eventdata, handles)
% hObject    handle to aantalpatronen (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% alle trafos: trafos17 opvragen
trafos17 = [ get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),... % "verticale" translatie
             get(handles.trafos3,'Value'),get(handles.trafos4,'Value'),... % "horizontale" translatie
             get(handles.trafos5,'Value'),get(handles.trafos6,'Value') ]-1; % spiegelingen en draaiingen
trafos17 = [trafos17, get(handles.trafos7,'Value')]; % de checkbox behoeft geen correctie van het nulpunt in de keuze

% Het aantal onafhankelijke patronen bepalen en weergeven in de daarvoor bestemde text_aantalpatronen
commando = sprintf('aantalpatronen(%i,%i, ''%s'',[%s])', m,n, vulling,int2str(trafos17)); disp(commando);
commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
commando = sprintf('    of eenvoudiger: aantalpatronen(%i,%i, ''%s'',''%s'')', m,n, vulling,commando); disp(commando);
aantal = aantalpatronen(m,n, vulling,trafos17);
set(handles.text_aantalpatronen,'String',sprintf(handles.berekendaantal,aantal));


% --- Executes during object creation, after setting all properties.
function bepaalkeuze_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bepaalkeuze (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in bepaalkeuze.
function bepaalkeuze_Callback(hObject, eventdata, handles)
% hObject    handle to bepaalkeuze (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns bepaalkeuze contents as cell array
%        contents{get(hObject,'Value')} returns selected item from bepaalkeuze

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Tooltips van bepaaluitvoer aanpassen en: alleen voor schrijfpatronen worden ook uitvoercode en bestandsnaam zichtbaar.
switch get(hObject,'Value')
case 1
    set(handles.bepaaluitvoer,'TooltipString',handles.bepaalpatronentooltip);
    set([handles.uitvoercode, handles.bestandsnaam],'Visible','off');
case 2
    set(handles.bepaaluitvoer,'TooltipString',handles.bepaalallebanentooltip);
    set([handles.uitvoercode, handles.bestandsnaam],'Visible','off');
case 3
    set(handles.bepaaluitvoer,'TooltipString',handles.schrijfpatronentooltip);
    set([handles.uitvoercode, handles.bestandsnaam],'Visible','on');
end


% --- Executes on button press in bepaaluitvoer.
function bepaaluitvoer_Callback(hObject, eventdata, handles)
% hObject    handle to bepaaluitvoer (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% alle trafos: trafos17 opvragen
trafos17 = [ get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),... % "verticale" translatie
             get(handles.trafos3,'Value'),get(handles.trafos4,'Value'),... % "horizontale" translatie
             get(handles.trafos5,'Value'),get(handles.trafos6,'Value') ]-1; % spiegelingen en draaiingen
trafos17 = [trafos17, get(handles.trafos7,'Value')]; % de checkbox behoeft geen correctie van het nulpunt in de keuze

% Nu gaan we daadwerkelijk uitvoeren wat er volgens bepaalkeuze moet gebeuren.
switch get(handles.bepaalkeuze,'Value')
case 1
    % bepaalpatronen
    % eerst checken of we niet teveel patronen krijgen om in het geheugen te stoppen
	commando = sprintf('aantalpatronen(%i,%i, ''%s'',[%s])', m,n, vulling,int2str(trafos17)); disp(commando);
	commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
	commando = sprintf('    of eenvoudiger: aantalpatronen(%i,%i, ''%s'',''%s'')', m,n, vulling,commando); disp(commando);
	aantal = aantalpatronen(m,n, vulling,trafos17);
	set(handles.text_aantalpatronen,'String',sprintf(handles.berekendaantal,aantal));

    % waarschuwing als teveel patronen voor het geheugen; moet nog: uitzoeken waar de grens ligt; er kan namelijk vast nog wel meer dan dit.
    doorgaan = 'Ok';
	if aantal > 2^14
        doorgaan = questdlg(sprintf('Pas op: het geheugen vullen met de %i onafhankelijke patronen vereist zoveel geheugen dat uw computer erg traag kan worden en zelfs zou kunnen vastlopen!',aantal),'Waarschuwing voor geheugenproblemen!','Ok','Annuleren','Annuleren');
    end

    if isequal(doorgaan,'Ok')
        % bepaalpatronen uitvoeren om de onafhankelijke patronen te krijgen
		commando = sprintf('bepaalpatronen(%i,%i, ''%s'',[%s])', m,n, vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: bepaalpatronen(%i,%i, ''%s'',''%s'')', m,n, vulling,commando); disp(commando);
        patronen = bepaalpatronen(m,n, vulling,trafos17);
	
        % selectie zoeken in de nieuwe verzameling van representanten
        if aantal > 2^12
            % Als het aantal patronen erg groot is, dan wissen we, om vastlopen te voorkomen, in ieder geval wel de selectie.
            selectie = [];
        else
            selectie = str2double(get(handles.patterns,'String')); selectie = unique(selectie(get(handles.patterns,'Value')));
        end
        if ~isempty(selectie)
			commando = sprintf('equivpatronen([%s], [%s], %i,%i, ''%s'',[%s], ''alt'')', int2str(selectie'),int2str(patronen'), m,n, vulling,int2str(trafos17)); disp(commando);
			commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
			commando = sprintf('    of eenvoudiger: equivpatronen([%s], [%s], %i,%i, ''%s'',''%s'', ''alt'')', int2str(selectie'),int2str(patronen'), m,n, vulling,commando); disp(commando);
            [gevonden, welke] = equivpatronen(selectie, patronen, m,n, vulling,trafos17, 'alt');
            % N.B. gevonden moet wel allemaal enen zijn, anders heeft bepaalpatronen niet alle patronen gevonden
            if ~gevonden error(['De geselecteerde patronen [' int2str(selectie(~gevonden)) '] zijn niet gevonden in de banen gevonden met bepaalpatronen! Dit zou niet mogen kunnen!']); end
            selectie = unique(welke); % selectie vervangen door de representanten.
		end % er is selectie om op te zoeken
	
        % geheugen vullen met gevonden patronen en selectie, text_patterns aanpassen
        set(handles.patterns,'String',cellstr(int2str(patronen)),'Value',selectie);
        if length(patronen)==1
            if isempty(selectie)
                set(handles.text_patterns,'String',handles.eennonselgeheugen);
            else
                set(handles.text_patterns,'String',handles.eenselgeheugen);
            end
        else
            if isempty(selectie)
                set(handles.text_patterns,'String',sprintf(handles.meernonselgeheugen,length(patronen)));
            else
                set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(patronen),length(selectie)));
            end
        end % if length(geheugen) (hier patronen genaamd)
	
        % text_patterns_equiv aanpassen en knoppen uitzetten
        if length(patronen) > 1 set(handles.text_patterns_equiv,'String',handles.goedgeheugentekst,'Visible','on'); end
        set([handles.verwijder_gelijke,handles.verwijder_equiv,handles.bepaalbanen],'Enable','off');
        if length(selectie) < length(patronen) set(handles.selectalles, 'Enable','on'); else set(handles.selectalles, 'Enable','off'); end
    end % if doorgaan.
case 2
    % bepaalallebanen
    % Waarschuwen als 2^(m*n) erg groot wordt
	doorgaan = 'Ok';
	if m*n > 12 doorgaan = questdlg(sprintf('Pas op: het geheugen vullen met (representanten van) alle 2^%i patronen vereist zoveel geheugen dat uw computer erg traag kan worden en zelfs zou kunnen vastlopen!',m*n),'Waarschuwing voor geheugenproblemen!','Ok','Annuleren','Annuleren'); end

    if isequal(doorgaan,'Ok')
        % bepaalbanen uitvoeren om de representanten te krijgen
		commando = sprintf('bepaalallebanen(%i,%i, ''%s'',[%s])', m,n, vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: bepaalallebanen(%i,%i, ''%s'',''%s'')', m,n, vulling,commando); disp(commando);
        banen = double(bepaalallebanen(m,n, vulling,trafos17));
	
        % selectie hernummeren in de nieuwe verzameling van representanten
        if aantal > 2^12
            % Als het aantal patronen erg groot is, dan wissen we, om vastlopen te voorkomen, in ieder geval wel de selectie.
            selectie = [];
        else
            selectie = str2double(get(handles.patterns,'String')); selectie = unique(selectie(get(handles.patterns,'Value')));
            if ~isempty(selectie) selectie = selectie+1; end
        end
	
        % geheugen vullen met gevonden patronen en selectie, text_patterns aanpassen
        set(handles.patterns,'String',cellstr(int2str(banen)),'Value',selectie);
        if length(banen)==1
            if isempty(selectie)
                set(handles.text_patterns,'String',handles.eennonselgeheugen);
            else
                set(handles.text_patterns,'String',handles.eenselgeheugen);
            end
        else
            if isempty(selectie)
                set(handles.text_patterns,'String',sprintf(handles.meernonselgeheugen,length(banen)));
            else
                set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(banen),length(selectie)));
            end
        end % if length(geheugen) (hier banen genaamd)
	
        % bepalen hoeveel patronen verschillend (en nu dus: onafhankelijk) zijn.
        aantal = length(unique(banen));
		set(handles.text_aantalpatronen,'String',sprintf(handles.berekendaantal,aantal));

        % text_patterns_equiv aanpassen en knoppen uitzetten
        if length(banen) > 1
            if length(banen) == aantal
                % Als alle patronen onafhankelijk zouden zijn
                set(handles.text_patterns_equiv,'String',handles.goedgeheugentekst,'Visible','on');
                set([handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','off');
            else
                % de normale situatie
                set(handles.text_patterns_equiv,'String',sprintf(handles.aantalgeheugentekst,aantal),'Visible','on');
            end
        end
        set(handles.bepaalbanen,'Enable','off');
        if length(selectie) <= 1 set([handles.verwijder_gelijke,handles.verwijder_equiv],'Enable','off'); end
        if length(selectie) < length(banen) set(handles.selectalles, 'Enable','on'); else set(handles.selectalles, 'Enable','off'); end
    end % if doorgaan.
case 3
    % schrijfpatronen
    % De extra benodigde invoer inlezen
	uitbr = [str2double(get(handles.uitbr1,'String')), str2double(get(handles.uitbr2,'String'))];
    bestand = get(handles.bestandsnaam,'String');
    uitvoerkeuze = get(handles.uitvoercode,'Value');
    switch uitvoerkeuze
    case 1
        % alleen naar scherm
        uitvoer = 'scherm:';
    case 2
        % naar bestand en naar scherm
        uitvoer = ['scherm:' bestand];
    case 3
        % naar bestand, niet naar scherm, maar vraag wel als er iets fout gaat
        uitvoer = bestand;
    case 4
        % naar bestand, niks naar scherm, append als al bestaat
        uitvoer = ['append:' bestand];
    case 5
        % naar bestand, niks naar scherm, overwrite als al bestaat
        uitvoer = ['erover:' bestand];
    case 6
        % naar bestand, niks naar scherm, cancel als al bestaat
        uitvoer = ['cancel:' bestand];
    end % switch uitvoerkeuze

    % daadwerkelijk schrijfpatronen uitvoeren
	commando = sprintf('schrijfpatronen(%i,%i,[%s], ''%s'',[%s], ''%s'')', m,n,int2str(uitbr), vulling,int2str(trafos17), uitvoer); disp(commando);
	commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
	commando = sprintf('    of eenvoudiger: schrijfpatronen(%i,%i,[%s], ''%s'',''%s'', ''%s'')', m,n,int2str(uitbr), vulling,commando, uitvoer); disp(commando);
    disp(' ');
    schrijfpatronen(m,n,uitbr, vulling, trafos17, uitvoer)
end


% --- Executes during object creation, after setting all properties.
function uitvoercode_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitvoercode (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in uitvoercode.
function uitvoercode_Callback(hObject, eventdata, handles)
% hObject    handle to uitvoercode (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns uitvoercode contents as cell array
%        contents{get(hObject,'Value')} returns selected item from uitvoercode

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end


% --- Executes during object creation, after setting all properties.
function bestandsnaam_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bestandsnaam (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


function bestandsnaam_Callback(hObject, eventdata, handles)
% hObject    handle to bestandsnaam (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of bestandsnaam as text
%        str2double(get(hObject,'String')) returns contents of bestandsnaam as a double

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end


% ----------------------------------------------------------------------------
%   Het tekenen van patronen (uitbr en tekenpatroon)
% ----------------------------------------------------------------------------

% --- Executes during object creation, after setting all properties.
function uitbr1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitbr1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


function uitbr1_Callback(hObject, eventdata, handles)
% hObject    handle to uitbr1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of uitbr1 as text
%        str2double(get(hObject,'String')) returns contents of uitbr1 as a double

% Kijken welke uitbr1 nu is ingegeven en testen of het een positieve integer is.
uitbr1 = str2double(get(hObject,'String'));
if isnumeric(uitbr1) & length(uitbr1)==1 & ceil(uitbr1)==uitbr1 & uitbr1 > 0
    % We passen handles.ouduitbr aan, zodat we de oude waarde altijd terug kunnen vinden.
    handles.ouduitbr(1) = uitbr1;
    % Zorgen dat de gewijzigde handles-velden behouden blijven.
    guidata(hObject, handles);
else
    % Als het geen goede waarde is, dan zetten we hem terug op de vorige waarde.
    set(hObject, 'String', int2str(handles.ouduitbr(1)));
end


% --- Executes during object creation, after setting all properties.
function uitbr2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitbr2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


function uitbr2_Callback(hObject, eventdata, handles)
% hObject    handle to uitbr2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of uitbr2 as text
%        str2double(get(hObject,'String')) returns contents of uitbr2 as a double

% Kijken welke uitbr2 nu is ingegeven en testen of het een positieve integer is.
uitbr2 = str2double(get(hObject,'String'));
if isnumeric(uitbr2) & length(uitbr2)==1 & ceil(uitbr2)==uitbr2 & uitbr2 > 0
    % We passen handles.ouduitbr aan, zodat we de oude waarde altijd terug kunnen vinden.
    handles.ouduitbr(2) = uitbr2;
    % Zorgen dat de gewijzigde handles-velden behouden blijven.
    guidata(hObject, handles);
else
    % Als het geen goede waarde is, dan zetten we hem terug op de vorige waarde.
    set(hObject, 'String', int2str(handles.ouduitbr(2)));
end


% --- Executes on button press in tekenpatroon.
function tekenpatroon_Callback(hObject, eventdata, handles)
% hObject    handle to tekenpatroon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% uitbr opvragen
uitbr = [str2double(get(handles.uitbr1,'String')), str2double(get(handles.uitbr2,'String'))];
% het geheugen-selectie opvragen.
selectie = str2double(get(handles.patterns,'String')); selectie = selectie(get(handles.patterns,'Value'));

% De patronen tekenen. De uitvoer gaat gewoon naar scherm, het naampje voor de variabele is alleen om dat op het scherm te zien te krijgen.
commando = sprintf('tekenpatroon([%s], %i,%i,[%s], ''%s'')', int2str(selectie'), m,n,int2str(uitbr), vulling); disp(commando);
selectiestring = tekenpatroon(selectie, m,n,uitbr, vulling) % geen ; zodat uitvoer wel wordt weergegeven.


% ----------------------------------------------------------------------------
%   Equivalentie huidig patroon met het geheugen bepalen: diagequivpatronen
%   bepaalbanen, dat de equivalenties binnen het geheugen bepaalt,
%   is onder de geheugen-knoppen gegroepeerd.
% ----------------------------------------------------------------------------

% --- Executes on button press in diagequivpatronen.
function diagequivpatronen_Callback(hObject, eventdata, handles)
% hObject    handle to diagequivpatronen (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% alle trafos: trafos17 opvragen
trafos17 = [ get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),... % "verticale" translatie
             get(handles.trafos3,'Value'),get(handles.trafos4,'Value'),... % "horizontale" translatie
             get(handles.trafos5,'Value'),get(handles.trafos6,'Value') ]-1; % spiegelingen en draaiingen
trafos17 = [trafos17, get(handles.trafos7,'Value')]; % de checkbox behoeft geen correctie van het nulpunt in de keuze

% uitbr opvragen
uitbr = [str2double(get(handles.uitbr1,'String')), str2double(get(handles.uitbr2,'String'))];

% huidige patroon en het geheugen-selectie opvragen.
p = str2double(get(handles.patroongetal,'String'));
selectie = str2double(get(handles.patterns,'String')); selectie = selectie(get(handles.patterns,'Value'));

% Huidige zoekrichting en methode opvragen
zoekrct = get(handles.equiv_zoekrichting, 'String');
methode = get(handles.equiv_methode, 'String');

% Afhankelijk van de gevraagde zoekrichting en methode vragen we diagnostiek van diagequivpatronen
%           diagequivpatronen(diagp,diagq, m,n, uitbr, vulling, trafos, methode)
% Merk op dat zoekrichting bepaald of p dan wel geheugen als eerste wordt genomen:
%   in (diag)equivpatronen wordt gekeken welke patronen diagp voorkomen in de banen diagq
% Merk op dat methode bepaald of 'std' dan wel 'alt' wordt gebruikt:
%   in (diag)equivmethoden betekent 'std', transformeren van de banen, en 'alt' (invers) transformeren van de patronen.
switch zoekrct
case handles.geheugeninptekst
	switch methode
	case handles.trafptekst
        % weergave van het gebruikte commando op scherm
		commando = sprintf('diagequivpatronen([%s],%i, %i,%i, [%s], ''%s'',[%s], ''std'')', int2str(selectie'),p, m,n, int2str(uitbr), vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: diagequivpatronen([%s], %i, %i,%i, [%s], ''%s'',''%s'', ''std'')', int2str(selectie'),p, m,n, int2str(uitbr), vulling,commando); disp(commando);
        % Het daadwerkelijke commando
        diagequivpatronen(selectie,p, m,n, uitbr, vulling,trafos17, 'std');
        disp(' '); disp(' ');
	case handles.trafgeheugentekst
        % weergave van het gebruikte commando op scherm
		commando = sprintf('diagequivpatronen([%s],%i, %i,%i, [%s], ''%s'',[%s], ''alt'')', int2str(selectie'),p, m,n, int2str(uitbr), vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: diagequivpatronen([%s], %i, %i,%i, [%s], ''%s'',''%s'', ''alt'')', int2str(selectie'),p, m,n, int2str(uitbr), vulling,commando); disp(commando);
        % Het daadwerkelijke commando
        diagequivpatronen(selectie,p, m,n, uitbr, vulling,trafos17, 'alt');
        disp(' '); disp(' ');
	end % switch methode
case handles.pingeheugentekst
	switch methode
	case handles.trafptekst
        % weergave van het gebruikte commando op scherm
		commando = sprintf('diagequivpatronen(%i,[%s], %i,%i, [%s], ''%s'',[%s], ''alt'')', p,int2str(selectie'), m,n, int2str(uitbr), vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: diagequivpatronen(%i,[%s], %i,%i, [%s], ''%s'',''%s'', ''alt'')', p,int2str(selectie'), m,n, int2str(uitbr), vulling,commando); disp(commando);
        % Het daadwerkelijke commando
        diagequivpatronen(p,selectie, m,n, uitbr, vulling,trafos17, 'alt');
        disp(' '); disp(' ');
	case handles.trafgeheugentekst
        % weergave van het gebruikte commando op scherm
		commando = sprintf('diagequivpatronen(%i,[%s], %i,%i, [%s], ''%s'',[%s], ''std'')', p,int2str(selectie'), m,n, int2str(uitbr), vulling,int2str(trafos17)); disp(commando);
		commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
		commando = sprintf('    of eenvoudiger: diagequivpatronen(%i,[%s], %i,%i, [%s], ''%s'',''%s'', ''std'')', p,int2str(selectie'), m,n, int2str(uitbr), vulling,commando); disp(commando);
        % Het daadwerkelijke commando
        diagequivpatronen(p,selectie, m,n, uitbr, vulling,trafos17, 'std');
        disp(' '); disp(' ');
	end % switch methode
end % switch zoekrct


% --- Executes on button press in equiv_zoekrichting.
function equiv_zoekrichting_Callback(hObject, eventdata, handles)
% hObject    handle to equiv_zoekrichting (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Huidige zoekrichting opvragen
huidige = get(hObject, 'String');

% tekst en tooltip omkeren naar variant
switch huidige
case handles.geheugeninptekst
    set(hObject, 'String',handles.pingeheugentekst, 'TooltipString',handles.pingeheugentooltip);
case handles.pingeheugentekst
    set(hObject, 'String',handles.geheugeninptekst, 'TooltipString',handles.geheugeninptooltip);
end


% --- Executes on button press in equiv_methode.
function equiv_methode_Callback(hObject, eventdata, handles)
% hObject    handle to equiv_methode (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Huidige methode opvragen
huidige = get(hObject, 'String');

% tekst en tooltip omkeren naar variant
switch huidige
case handles.trafptekst
    set(hObject, 'String',handles.trafgeheugentekst, 'TooltipString',handles.trafgeheugentooltip);
case handles.trafgeheugentekst
    set(hObject, 'String',handles.trafptekst, 'TooltipString',handles.trafptooltip);
end


% ----------------------------------------------------------------------------
%   Het geheugen van patronen:
%   patterns, dat strings en Enable aanpast bij gewijzigde selecties
%               en het patroon vervangt bij dubbelklik.
%   De knoppen:
%   voegtoe, vulgeheugen, selectalles, verwijder,
%   verwijder_gelijke, verwijder_equiv,
%   bepaalbanen: de laatste is buitenbeentje omdat hij alleen diagnose stelt
% ----------------------------------------------------------------------------

% --- Executes during object creation, after setting all properties.
function patterns_CreateFcn(hObject, eventdata, handles)
% hObject    handle to patterns (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in patterns.
function patterns_Callback(hObject, eventdata, handles)
% hObject    handle to patterns (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns patterns contents as cell array
%        contents{get(hObject,'Value')} returns selected item from patterns

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% String en selectie in huidige patterns bepalen
geheugen = get(handles.patterns,'String');
selectie = get(handles.patterns,'Value');

% De strings text_patterns en text_patterns_equiv bijwerken,
% alsmede de zichtbaarheid van de knoppen die op het geheugen werken.
% Dit hangt af van het aantal elementen in het geheugen en in de selectie.
% De user kan echter langs deze weg niets veranderen aan het geheugen,
% dus hoeft alleen op een gewijzigde selectie geanticipeerd te worden.
% Bovendien kun je hier uberhaupt niet inkomen als het geheugen leeg is.
switch length(selectie)
case 0
    % De string text_patterns heeft andere format als er maar een patroon in geheugen zit.
    if length(geheugen) == 1 set(handles.text_patterns,'String',handles.eennonselgeheugen); else set(handles.text_patterns,'String',sprintf(handles.meernonselgeheugen,length(geheugen))); end
    % In dit geval gaan alle knoppen die op een selectie werken uit
	set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon,...
            handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
case 1
    % De string text_patterns heeft andere format als er maar een patroon in geheugen zit.
    if length(geheugen) == 1 set(handles.text_patterns,'String',handles.eenselgeheugen); else set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen),1)); end
    % De knoppen die met slechts een geselecteerd patroon aan worden gezet:
	set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon],...
                                                                 'Enable','on');
    % verwijder_gelijke en verwijder_equiv werken pas op een selectie van minstens 2 patronen
    set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
otherwise
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen),length(selectie)));
    % In dit geval gaan alle knoppen die op een selectie werken aan
	set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon,...
            handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','on');
end

% selectalles gaat aan dan en slechts dan als nog niet alles geselecteerd is.
if length(selectie) < length(geheugen) set(handles.selectalles, 'Enable','on'); else set(handles.selectalles, 'Enable','off'); end

% Bovendien wil je dat een dubbelklik het desbetreffende patroon naar patroongetal stuurt.
if isequal(get(handles.figure1,'SelectionType'),'open') & ~isempty(selectie)
	% Nu hebben we ook m,n en vulling nodig
	m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
	vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

	% het geklikte patroon, of anders tenminste de bovenste van de selectie
    p = str2double(geheugen(selectie(1)));

    % patroongetal updaten
    set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;

    % Uitrekenen welk patroon hier bij hoort.
    vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
    commando = sprintf('tekenpatroon(%i, %i,%i, [1,1],''%s'')', p,m,n,vulling); disp(commando);
    pstr = tekenpatroon(p,m,n,[1,1],vulling);

    % De tekening van het patroon op de knoppen elem aanpassen
    for i=0:m-1 for j=0:n-1
        commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
        eval(commando);
    end;end
end % if dubbelklik
guidata(hObject, handles);


% --- Executes on button press in voegtoe.
function voegtoe_Callback(hObject, eventdata, handles)
% hObject    handle to voegtoe (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroongetal opvragen als string.
p = get(handles.patroongetal,'String');
% String en selectie in patterns bepalen
geheugen = get(handles.patterns,'String');
selectie = get(handles.patterns,'Value');

% gedrag afhankelijk van de vraag of er al een selectie is
if ~isempty(geheugen)
	if ~isempty(selectie)
        % huidige patroon toevoegen direct onder de huidige selectie en ook in selectie opnemen.
        geheugen = {geheugen{1:selectie(end)}, p, geheugen{selectie(end)+1:end}};
        selectie = [selectie selectie(end)+1];
	else
        % Als er niets geselecteerd is, dan plaatsen we het patroon gewoon onderaan en selecteren het.
        geheugen = {geheugen{:}, p};
        selectie = length(geheugen);
	end % if selectie
else
    % als het geheugen leeg is, dan krijg je foutmeldingen omdat het geen cell-array is
    geheugen = {p};
    selectie = 1;
end % if geheugen
% Nu ook de nieuw gevormde geheugen en selectie in patterns zetten.
set(handles.patterns,'String',geheugen,'Value',selectie);

% De strings text_patterns en text_patterns_equiv bijwerken,
% alsmede de zichtbaarheid van de knoppen die op het geheugen werken.
% N.B. Noch geheugen, noch selectie kan nu leeg zijn!
set(handles.text_patterns,'String',handles.eenselgeheugen); % als het geheugen groter is, dan wordt dit nog overschreven.
% De knoppen die met een patroon (geselecteerd) in het geheugen aan worden gezet:
set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon],...
                                                 'Enable','on');
% selectalles blijft aan als hij aan stond en blijft uit als hij uit stond.
if length(geheugen) > 1
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen),length(selectie)));

    % Als er nu minstens 2 in geheugen zitten, dan weten we ook niet meer of er equivalenties binnen patterns zijn.
    set(handles.text_patterns_equiv,'String',handles.dubbelgeheugentekst, 'Visible','on');
    set(handles.bepaalbanen, 'Enable','on');

    % verwijder_gelijke en verwijder_equiv werken alleen op de selectie van minstens 2 patronen
    if length(selectie) > 1 set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','on'); end
end % if meer in geheugen


% --- Executes on button press in vulgeheugen.
function vulgeheugen_Callback(hObject, eventdata, handles)
% hObject    handle to vulgeheugen (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m en n opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
% De huidige selectie in patterns onthouden
selectie = get(handles.patterns,'String'); selectie = unique(selectie(get(handles.patterns,'Value')));

% Waarschuwen als 2^(m*n) erg groot wordt
doorgaan = 'Ok';
if m*n > 12
    doorgaan = questdlg(sprintf('Pas op: het geheugen vullen met alle 2^%i patronen vereist zoveel geheugen dat uw computer erg traag kan worden en zelfs zou kunnen vastlopen!',m*n),'Waarschuwing voor geheugenproblemen!','Ok','Annuleren','Annuleren');
    if isequal(doorgaan,'Ok') selectie = []; end % Als we toch doorgaan, dan in ieder geval wel even de selectie wissen.
end

if isequal(doorgaan,'Ok')
    % Het geheugen maken en de hiervoor geselecteerde patronen weer selecteren
    geheugen = 0:2^(m*n)-1; geheugen = cellstr(int2str(geheugen'));
    if ~isempty(selectie) selectie = str2double(selectie)+1; else selectie = []; end
	set(handles.patterns,'String',geheugen,'Value',selectie);

	% De strings text_patterns en text_patterns_equiv bijwerken,
	% alsmede de zichtbaarheid van de knoppen die op het geheugen werken.
	% N.B. Het geheugen bevat nu minstens twee elementen.
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen),length(selectie)));

    % Er kunnen nu natuurlijk equivalenties binnen patterns zijn.
    set(handles.text_patterns_equiv,'String',handles.dubbelgeheugentekst, 'Visible','on');
    set(handles.bepaalbanen, 'Enable','on');

    % verwijder_gelijke en verwijder_equiv werken alleen op de selectie van minstens 2 patronen
    if length(selectie) > 1
        set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','on');
    else
        set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
    end

    % selectalles gaat aan dan en slechts dan als nog niet alles geselecteerd is.
    if length(selectie) < length(geheugen) set(handles.selectalles, 'Enable','on'); else set(handles.selectalles, 'Enable','off'); end
end % if doorgaan


% --- Executes on button press in selectalles.
function selectalles_Callback(hObject, eventdata, handles)
% hObject    handle to selectalles (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Opvragen hoeveel er nu in het geheugen zit.
geheugen = length(get(handles.patterns,'String'));
% En alles selecteren door Value te updaten.
set(handles.patterns,'Value',1:geheugen);

% Als eenmaal alles geselecteerd is, dan kun je het niet nog eens doen
set(hObject,'Enable','off');

% De strings text_patterns, alsmede de zichtbaarheid van de knoppen die op de selectie werken.
% N.B. selectie is nu even lang als geheugen, en selectalles kan alleen worden aangeroepen als geheugen niet leeg.

set(handles.text_patterns,'String',handles.eenselgeheugen); % als het geheugen nog groter is, dan wordt dit nog overschreven.
% De knoppen die met een patroon (geselecteerd) in het geheugen aan worden gezet:
set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon],...
                                                 'Enable','on');
if geheugen > 1
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,geheugen,geheugen));

    % Aan het geheugen is niets veranderd, dus text_patterns_equiv en bepaalbanen veranderen niet.
    % Wel willen we weten of (we weten of) er afhankelijke patronen zijn
    goedgeheugen = isequal(get(handles.text_patterns_equiv,'String'), handles.goedgeheugentekst);

    % verwijder_gelijke en verwijder_equiv werken op de selectie van minstens 2 patronen
    % tenzij we weten dat er geen equivalente patronen zijn.
    if ~goedgeheugen set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','on'); end
end % if meer in geheugen


% --- Executes on button press in verwijder.
function verwijder_Callback(hObject, eventdata, handles)
% hObject    handle to verwijder (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% String en selectie in patterns bepalen
geheugen = get(handles.patterns,'String');
selectie = get(handles.patterns,'Value');

% selectie uit geheugen verwijderen en patterns updaten, er is nu niets meer geselecteerd
geheugen(selectie) = '';
set(handles.patterns,'String',geheugen,'Value',[]);

% De strings text_patterns, alsmede de zichtbaarheid van de knoppen die op de selectie werken.
% N.B. selectie is nu leeg en geheugen is alleen maar minder geworden
set(handles.text_patterns,'String',sprintf(handles.meernonselgeheugen,length(geheugen))); % Als er inmiddels minder dan 2 patronen in het geheugen zit, dan wijzigen we dit nog wel.

% als we wisten dat er geen equivalente patronen in het geheugen zaten, dan blijft dat zo, maar als
% we alleen wisten hoeveel het er waren, dan zijn we nu weer terug bij af.
aantal = sscanf(get(handles.text_patterns_equiv,'String'), handles.aantalgeheugentekst);
if ~isempty(aantal)
    set(handles.text_patterns_equiv,'String',handles.dubbelgeheugentekst, 'Visible','on');
    set(handles.bepaalbanen, 'Enable','on');
end
% Als er inmiddels minder dan 2 patronen in het geheugen zit, dan wijzigen we dit nog wel.

% selectalles is al goed, want als het alles was, dan is er nu niets meer en blijft hij uit,
% en als hij aan stond, dan is er nu nog iets over met niets geselecteerd, dus blijft hij aan.

% Alle knoppen die op selectie werken gaan uit.
set([handles.verwijder, handles.diagequivpatronen,handles.equiv_zoekrichting,handles.equiv_methode, handles.tekenpatroon,...
        handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');

% Als het geheugen inmiddels nogal klein is geworden
if length(geheugen) <= 1
    set(handles.text_patterns_equiv,'Visible','off');
    set(handles.bepaalbanen, 'Enable','off');

    if isempty(geheugen)
        set(handles.text_patterns,'String',handles.geengeheugen);
    else
        set(handles.text_patterns,'String',handles.eennonselgeheugen);
    end % leeg geheugen
end % if niet meer geheugen


% --- Executes on button press in verwijder_gelijke.
function verwijder_gelijke_Callback(hObject, eventdata, handles)
% hObject    handle to verwijder_gelijke (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% String en selectie in patterns bepalen
geheugen = get(handles.patterns,'String');
selectie = get(handles.patterns,'Value');

% Unieke getallen in de selectie
uniek = unique(str2double(geheugen(selectie)));
% Selectie vervangen door uniek en uniek selecteren
geheugen(selectie(1:length(uniek))) = cellstr(int2str(uniek));
geheugen(selectie(length(uniek)+1:end)) = '';
selectie = selectie(1:length(uniek));
% patterns bijwerken
set(handles.patterns,'String',geheugen,'Value');

% De strings text_patterns, alsmede de zichtbaarheid van de knoppen die op het geheugen werken.
% N.B. selectie was minstens twee en is nu nooit leeg en geheugen is alleen maar minder geworden,
% je hoeft alleen te onderscheiden op een of meer (geselecteerd en in geheugen)

% selectalles is al goed, want als de selectie alles was, dan is het nu nog steeds alles,
% en anders zijn er nu nog steeds patronen in het geheugen die niet geselecteerd zijn.

if length(geheugen) > 1
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen), length(selectie)));

    % het aantal in het geheugen was al groter dan 2, dus bepaalbanen hoeft niet aangepast.
    % Verder is het aantal onafhanklijke patronen niet gewijzigd door deze actie, dus als
    % je er nu precies zoveel overhoudt, dan zijn nu alle patronen onafhankelijk
    % (je moet al wel hebben bepaald hoeveel onafhankelijke patronen er zijn om dit te weten).
    aantal = sscanf(get(handles.text_patterns_equiv,'String'), handles.aantalgeheugentekst);
    if isequal(aantal, length(geheugen))
        set(handles.text_patterns_equiv, 'String',handles.goedgeheugentekst);
        set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
    end

    % verwijder_gelijke en verwijder_equiv werken op een selectie van minstens 2 patronen,
    % dus als de selectie nu tot 1 patroon is gereduceerd, dan moeten we ze uit zetten
    if length(selectie)==1 set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off'); end
else
    % als er nog maar een patroon in het geheugen zit, dan was alles hetzelfde (en geselecteerd, net als nu).
    set(handles.text_patterns,'String',handles.eenselgeheugen);

    % text_patterns_string en bepaalbanen worden uitgezet
    set(handles.text_patterns_equiv,'Visible','off'); set(handles.bepaalbanen, 'Enable','off');
    
    % verwijder_gelijke en verwijder_equiv werken op een selectie van minstens 2 patronen, dus gaan nu ook uit.
    set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
end % if meer geheugen


% --- Executes on button press in verwijder_equiv.
function verwijder_equiv_Callback(hObject, eventdata, handles)
% hObject    handle to verwijder_equiv (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% alle trafos: trafos17 opvragen
trafos17 = [ get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),... % "verticale" translatie
             get(handles.trafos3,'Value'),get(handles.trafos4,'Value'),... % "horizontale" translatie
             get(handles.trafos5,'Value'),get(handles.trafos6,'Value') ]-1; % spiegelingen en draaiingen
trafos17 = [trafos17, get(handles.trafos7,'Value')]; % de checkbox behoeft geen correctie van het nulpunt in de keuze

% geheugen en selectie in patterns bepalen
geheugen = str2double(get(handles.patterns,'String'));
selectie = get(handles.patterns,'Value');
selectie = selectie(end:-1:1); % hiermee zorg ik dat de laatste representant genomen wordt.
    % Dat is handig als je een patroon wilt vervangen door een andere representant: dubbelklik, transformeer, voeg toe
    % Dan is de getransformeerde als tweede geselecteerd en je wilt dat die overblijft.
    % Merk op dat de nieuwe volgorde toch door unique wordt bepaald (die sorteert).

% de onafhankelijke patronen in selectie bepalen
commando = sprintf('unique(bepaalbanen(%i,%i, ''%s'',[%s], [%s]))', m,n,vulling, int2str(trafos17), int2str(geheugen(selectie)')); disp(commando);
commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
commando = sprintf('    of eenvoudiger: unique(bepaalbanen(%i,%i, ''%s'',''%s'', [%s]))', m,n,vulling, commando, int2str(geheugen(selectie)')); disp(commando);
uniek = unique(bepaalbanen(m,n,vulling,trafos17,geheugen(selectie)));
% Selectie vervangen door uniek en uniek selecteren
selectie = selectie(end:-1:1); % weer naar normale volgorde, om netjes terug te zetten, zonder foutmeldingen.
geheugen(selectie(1:length(uniek))) = uniek;
geheugen(selectie(length(uniek)+1:end)) = [];
selectie = selectie(1:length(uniek));
% patterns bijwerken
set(handles.patterns,'String',cellstr(int2str(geheugen)),'Value',selectie);

% De strings text_patterns, alsmede de zichtbaarheid van de knoppen die op het geheugen werken.
% N.B. selectie was minstens twee en is nu nooit leeg (en altijd onafhankelijk) en geheugen is alleen maar minder geworden,
% je hoeft alleen te onderscheiden op een of meer (geselecteerd en in geheugen)

% selectalles is al goed, want als de selectie alles was, dan is het nu nog steeds alles,
% en anders zijn er nu nog steeds patronen in het geheugen die niet geselecteerd zijn.

if length(geheugen) > 1
    set(handles.text_patterns,'String',sprintf(handles.meerselgeheugen,length(geheugen), length(selectie)));

    % Als alles geselecteerd was, dan weten we dat nu alles onafhankelijk is.
    % Bovendien is het aantal onafhankelijke patronen niet gewijzigd door deze actie, dus als
    % je er nu precies zoveel overhoudt, dan weet je ook dat alle patronen nu onafhankelijk zijn
    % (je moet al wel hebben bepaald hoeveel onafhankelijke patronen er zijn om dit argument te kunnen gebruiken).
    aantal = sscanf(get(handles.text_patterns_equiv,'String'), handles.aantalgeheugentekst);
    if isequal(aantal, length(geheugen)) | length(selectie) == length(geheugen)
        set(handles.text_patterns_equiv, 'String',handles.goedgeheugentekst);
        set([handles.bepaalbanen, handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
    end

    % verwijder_gelijke en verwijder_equiv werken op een selectie van minstens 2 patronen,
    % dus als de selectie nu tot 1 patroon is gereduceerd, dan moeten we ze uit zetten
    if length(selectie)==1 set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off'); end
else
    % als er nog maar een patroon in het geheugen zit, dan was alles equivalent (en geselecteerd, net als nu).
    set(handles.text_patterns,'String',handles.eenselgeheugen);

    % text_patterns_string en bepaalbanen worden uitgezet
    set(handles.text_patterns_equiv,'Visible','off'); set(handles.bepaalbanen, 'Enable','off');
    
    % verwijder_gelijke en verwijder_equiv werken op een selectie van minstens 2 patronen, dus gaan nu ook uit.
    set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
end % if meer geheugen


% --- Executes on button press in bepaalbanen.
function bepaalbanen_Callback(hObject, eventdata, handles)
% hObject    handle to bepaalbanen (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% alle trafos: trafos17 opvragen
trafos17 = [ get(handles.trafos1,'Value'),get(handles.trafos2,'Value'),... % "verticale" translatie
             get(handles.trafos3,'Value'),get(handles.trafos4,'Value'),... % "horizontale" translatie
             get(handles.trafos5,'Value'),get(handles.trafos6,'Value') ]-1; % spiegelingen en draaiingen
trafos17 = [trafos17, get(handles.trafos7,'Value')]; % de checkbox behoeft geen correctie van het nulpunt in de keuze

% Het geheugen in patterns bepalen
geheugen = str2double(get(handles.patterns,'String'));

% Aantal onafhankelijke banen in het geheugen bepalen.
commando = sprintf('length(unique(bepaalbanen(%i,%i, ''%s'',[%s], [%s])))', m,n,vulling, int2str(trafos17), int2str(geheugen')); disp(commando);
commando = ['x'*ones(1,trafos17(1)), 'Y'*ones(1,trafos17(2)), 'X'*ones(1,trafos17(3)), 'y'*ones(1,trafos17(4)), 's'*ones(1,trafos17(5)), 'd'*ones(1,trafos17(6)), 'f'*ones(1,trafos17(7))];
commando = sprintf('    of eenvoudiger: length(unique(bepaalbanen(%i,%i, ''%s'',''%s'', [%s])))', m,n,vulling, commando, int2str(geheugen')); disp(commando);
aantal = length(unique(bepaalbanen(m,n,vulling,trafos17,geheugen)));

% text_patterns_equiv aanpassen, bepaalbanen uitzetten en zo nodig ook verwijder_gelijke en verwijder_equiv
set(handles.bepaalbanen,'Enable','off');
if aantal == length(geheugen)
    set(handles.text_patterns_equiv,'String',handles.goedgeheugentekst);
    set([handles.verwijder_gelijke, handles.verwijder_equiv], 'Enable','off');
else
    set(handles.text_patterns_equiv,'String',sprintf(handles.aantalgeheugentekst,aantal));
end


% ----------------------------------------------------------------------------
%   Het huidige patroon:
%   de knoppen om het patroon te transformeren,
%   invoer van het patroongetal en de knoppen voor interactief aanpassen.
% ----------------------------------------------------------------------------

% --- Executes on button press in transleerx.
function transleerx_Callback(hObject, eventdata, handles)
% hObject    handle to transleerx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% De instellingen voor de "verticale" transformatie ophalen
trafos12 = [get(handles.trafos1,'Value'),get(handles.trafos2,'Value')]-1;

% Als "verticale" translatie is uitgeschakeld, dan default een stapje omhoog.
if trafos12 == [0 0]
    % patroon transleren
    pstr = [pstr(2:end,:) ; pstr(1,:)];
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
else
    % patroon verticaal transleren
    pstr = [pstr(trafos12(1)+1:end,:) ; pstr(1:trafos12(1),:)];
    % patroon horizontaal transleren
    pstr = [pstr(:,end+1-trafos12(2):end) , pstr(:,1:end-trafos12(2))];
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
end

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end
guidata(hObject, handles);


% --- Executes on button press in transleery.
function transleery_Callback(hObject, eventdata, handles)
% hObject    handle to transleery (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% De instellingen voor de "horizontale" transformatie ophalen
trafos34 = [get(handles.trafos3,'Value'),get(handles.trafos4,'Value')]-1;

% Als "horizontale" translatie is uitgeschakeld, dan default een stapje naar rechts.
if trafos34 == [0 0]
    % patroon transleren
    pstr = [pstr(:,end) , pstr(:,1:end-1)];
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
else
    % patroon verticaal transleren
    pstr = [pstr(trafos34(1)+1:end,:) ; pstr(1:trafos34(1),:)];
    % patroon horizontaal transleren
    pstr = [pstr(:,end+1-trafos34(2):end) , pstr(:,1:end-trafos34(2))];
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
end

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end
guidata(hObject, handles);


% --- Executes on button press in spiegels.
function spiegels_Callback(hObject, eventdata, handles)
% hObject    handle to spiegels (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

% De instellingen voor de spiegeling ophalen
huidige = get(handles.trafos5,'Value')-1;
% Als spiegeling is uitgeschakeld, dan default spiegeling in verticale as
if huidige==0 huidige = 1; end

% Afhankelijk van de gekozen voortbrenger de spiegeling uitvoeren.
switch huidige
case 1
    % spiegeling in de verticale as.
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'\/','sz','<>'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon spiegelen
    pstr = pstr(:,end:-1:1);
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
case 2
    % spiegeling in de horizontale as.
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'\/','sz','MW'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon spiegelen
    pstr = pstr(end:-1:1,:);
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
case 3
    % spiegeling in de stijgende diagonaal.
    % Ook al wordt het in de transformatie-groep alleen op dubbelperiodieke patronen toegepast voor m~=n,
    % hier mag je alle patronen op die manier wijzigen, al is het voor niet-dubbelperiodieke
    % niet echt een spiegeling te noemen (en voor dubbelperiodieke brengen hem ook meteen weer op m bij n).
    dubbelper = gcd(m,n);
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'-|','sz'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon spiegelen
    % loop over alle dubbelper x dubbelper deelvierkantjes; voor m==n is dit meteen het hele vierkant.
    for i = 0:m/dubbelper-1 for j = 0:n/dubbelper-1
            pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*j+1:dubbelper*(j+1)) = pstr(dubbelper*(i+1):-1:dubbelper*i+1,dubbelper*(j+1):-1:dubbelper*j+1)';
    end;end
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
case 4
    % spiegeling in de dalende diagonaal.
    % Ook al wordt het in de transformatie-groep alleen op dubbelperiodieke patronen toegepast voor m~=n,
    % hier mag je alle patronen op die manier wijzigen, al is het voor niet-dubbelperiodieke
    % niet echt een spiegeling te noemen (en voor dubbelperiodieke brengen hem ook meteen weer op m bij n).
    dubbelper = gcd(m,n);
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'-|','sz'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon spiegelen
    % loop over alle dubbelper x dubbelper deelvierkantjes; voor m==n is dit meteen het hele vierkant.
    for i = 0:m/dubbelper-1 for j = 0:n/dubbelper-1
            pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*j+1:dubbelper*(j+1)) = pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*j+1:dubbelper*(j+1))';
    end;end
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
end

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end
guidata(hObject, handles);


% --- Executes on button press in draaid.
function draaid_Callback(hObject, eventdata, handles)
% hObject    handle to draaid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

% De instellingen voor de draaiing ophalen
huidige = get(handles.trafos6,'Value')-1;
% Als draaiing over een kwartslag niet mag, dan kun je alleen over 180 graden draaien
if ismember(vulling,{'<>','MW'}) huidige = 2; end
% Als draaiing is uitgeschakeld, dan default draaiing kwartslag (natuurlijk niet voor '<>' of 'MW')
if huidige==0 huidige = 1; end

% Afhankelijk van de gekozen voortbrenger de draaiing uitvoeren.
switch huidige
case 1
    % draaiing kwartslag rechtsom.
    % Ook al wordt het in de transformatie-groep alleen op dubbelperiodieke patronen toegepast voor m~=n,
    % hier mag je alle patronen op die manier wijzigen, al is het voor niet-dubbelperiodieke
    % niet echt een normale draaiing te noemen (en voor dubbelperiodieke brengen hem ook meteen weer op m bij n).
    dubbelper = gcd(m,n);
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'\/','-|'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon draaien
    % loop over alle dubbelper x dubbelper deelvierkantjes; voor m==n is dit meteen het hele vierkant.
    for i = 0:m/dubbelper-1 for j = 0:n/dubbelper-1
            pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*j+1:dubbelper*(j+1)) = pstr(dubbelper*(i+1):-1:dubbelper*i+1,dubbelper*j+1:dubbelper*(j+1))';
    end;end
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
case 2
    % draaiing kwartslag rechtsom.
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'<>','MW'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon draaien
    pstr = pstr(end:-1:1,end:-1:1);
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
case 3
    % draaiing kwartslag linksom.
    % Ook al wordt het in de transformatie-groep alleen op dubbelperiodieke patronen toegepast voor m~=n,
    % hier mag je alle patronen op die manier wijzigen, al is het voor niet-dubbelperiodieke
    % niet echt een normale draaiing te noemen (en voor dubbelperiodieke brengen hem ook meteen weer op m bij n).
    dubbelper = gcd(m,n);
    % huidige patroon als string weergegeven.
    if ismember(vulling,{'\/','-|'})
        % Bij negatief teken ook meteen de elementen flippen
        pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
    else
        pstr = tekenpatroon(p,m,n,[1,1],vulling);
    end
    % patroon draaien
    % loop over alle dubbelper x dubbelper deelvierkantjes; voor m==n is dit meteen het hele vierkant.
    for i = 0:m/dubbelper-1 for j = 0:n/dubbelper-1
            pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*j+1:dubbelper*(j+1)) = pstr(dubbelper*i+1:dubbelper*(i+1),dubbelper*(j+1):-1:dubbelper*j+1)';
    end;end
    % en omzetten naar en invullen voor het patroongetal
    p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
end

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end
guidata(hObject, handles);


% --- Executes on button press in flipf.
function flipf_Callback(hObject, eventdata, handles)
% hObject    handle to flipf (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};

% huidige patroon als string weergegeven, meteen ook geflipt
pstr = tekenpatroon(p,m,n,[1,1],vulling(2:-1:1));
% en omzetten naar en invullen voor het patroongetal
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;

% De tekening van het patroon op de knoppen elem aanpassen
for i=0:m-1 for j=0:n-1
    commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
    eval(commando);
end;end
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function patroongetal_CreateFcn(hObject, eventdata, handles)
% hObject    handle to patroongetal (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


function patroongetal_Callback(hObject, eventdata, handles)
% hObject    handle to patroongetal (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of patroongetal as text
%        str2double(get(hObject,'String')) returns contents of patroongetal as a double

% Het patroongetal-commando na de laatste elem-wijziging weergeven.
if ~isempty(handles.commandoelem) disp(handles.commandoelem); handles.commandoelem = ''; guidata(hObject, handles); end

% Het opgegeven patroongetal p checken.
p = str2double(get(hObject,'String'));
if isnumeric(p) & length(p)==1 & ceil(p)==p
    % Afmetingen m en n ophalen.
    m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
    % patroon p binnen de grenzen brengen.
    maxgetal = 2^(m*n); % Dit is de maximale waarde van p.
    p = mod(p,maxgetal);
    set(hObject,'String',int2str(p));

    % Uitrekenen welk patroon hier bij hoort.
    vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
    commando = sprintf('tekenpatroon(%i, %i,%i, [1,1],''%s'')', p,m,n,vulling); disp(commando);
    pstr = tekenpatroon(p,m,n,[1,1],vulling);

    % De tekening van het patroon op de knoppen elem aanpassen
    for i=0:m-1 for j=0:n-1
        commando = sprintf('set(handles.elem%i%i,''String'',''%c'');',i,j,pstr(i+1,j+1));
        eval(commando);
    end;end

    % We passen handles.oudp aan, zodat we de oude waarde altijd terug kunnen vinden.
    handles.oudp = p;
    % Zorgen dat de gewijzigde handles-velden behouden blijven.
    guidata(hObject, handles);
else
    % Als het geen goede waarde is, dan zetten we hem terug op de vorige waarde.
    set(hObject, 'String', int2str(handles.oudp));
end

% ----------------------------------------------------------------------------
%   Hier volgen alleen nog de elem-knoppen om het patroon aan te passen.
% ----------------------------------------------------------------------------

% --- Executes on button press in elem00.
function elem00_Callback(hObject, eventdata, handles)
% hObject    handle to elem00 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,1) = vulling(vulling~=pstr(1,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,1));
% moet nog: hier is een begin gemaakt met het maken van grafische knoppen voor het patroon.
% het is handiger om de pixels dan aan het begin in handles te zetten. Maar sowieso gaat dit wel erg veel werk kosten.
% pixels = ~[[0,0,0,0,0,0,0,0,0,1];[0,0,0,0,0,0,0,0,1,0];[0,0,0,0,0,0,0,1,0,0];[0,0,0,0,0,0,1,0,0,0];[0,0,0,0,0,1,0,0,0,0];...
%           [0,0,0,0,1,0,0,0,0,0];[0,0,0,1,0,0,0,0,0,0];[0,0,1,0,0,0,0,0,0,0];[0,1,0,0,0,0,0,0,0,0];[1,0,0,0,0,0,0,0,0,0]];
% N.B. Als je het gaat doen, dan liever met 8-bit images: uint8, om geheugen te sparen.
% if pstr(1,1) == '/' set(hObject,'CData', handles.pixels/,'String',''); end
% if pstr(1,1) == '\' set(hObject,'CData', handles.pixels\,'String',''); end

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem01.
function elem01_Callback(hObject, eventdata, handles)
% hObject    handle to elem01 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,2) = vulling(vulling~=pstr(1,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem02.
function elem02_Callback(hObject, eventdata, handles)
% hObject    handle to elem02 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,3) = vulling(vulling~=pstr(1,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem03.
function elem03_Callback(hObject, eventdata, handles)
% hObject    handle to elem03 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,4) = vulling(vulling~=pstr(1,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem04.
function elem04_Callback(hObject, eventdata, handles)
% hObject    handle to elem04 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,5) = vulling(vulling~=pstr(1,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem05.
function elem05_Callback(hObject, eventdata, handles)
% hObject    handle to elem05 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,6) = vulling(vulling~=pstr(1,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem06.
function elem06_Callback(hObject, eventdata, handles)
% hObject    handle to elem06 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,7) = vulling(vulling~=pstr(1,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem07.
function elem07_Callback(hObject, eventdata, handles)
% hObject    handle to elem07 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,8) = vulling(vulling~=pstr(1,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem08.
function elem08_Callback(hObject, eventdata, handles)
% hObject    handle to elem08 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,9) = vulling(vulling~=pstr(1,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem09.
function elem09_Callback(hObject, eventdata, handles)
% hObject    handle to elem09 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(1,10) = vulling(vulling~=pstr(1,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(1,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem10.
function elem10_Callback(hObject, eventdata, handles)
% hObject    handle to elem10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,1) = vulling(vulling~=pstr(2,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem11.
function elem11_Callback(hObject, eventdata, handles)
% hObject    handle to elem11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,2) = vulling(vulling~=pstr(2,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem12.
function elem12_Callback(hObject, eventdata, handles)
% hObject    handle to elem12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,3) = vulling(vulling~=pstr(2,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem13.
function elem13_Callback(hObject, eventdata, handles)
% hObject    handle to elem13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,4) = vulling(vulling~=pstr(2,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem14.
function elem14_Callback(hObject, eventdata, handles)
% hObject    handle to elem14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,5) = vulling(vulling~=pstr(2,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem15.
function elem15_Callback(hObject, eventdata, handles)
% hObject    handle to elem15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,6) = vulling(vulling~=pstr(2,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem16.
function elem16_Callback(hObject, eventdata, handles)
% hObject    handle to elem16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,7) = vulling(vulling~=pstr(2,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem17.
function elem17_Callback(hObject, eventdata, handles)
% hObject    handle to elem17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,8) = vulling(vulling~=pstr(2,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem18.
function elem18_Callback(hObject, eventdata, handles)
% hObject    handle to elem18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,9) = vulling(vulling~=pstr(2,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem19.
function elem19_Callback(hObject, eventdata, handles)
% hObject    handle to elem19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(2,10) = vulling(vulling~=pstr(2,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(2,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem20.
function elem20_Callback(hObject, eventdata, handles)
% hObject    handle to elem20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,1) = vulling(vulling~=pstr(3,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem21.
function elem21_Callback(hObject, eventdata, handles)
% hObject    handle to elem21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,2) = vulling(vulling~=pstr(3,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem22.
function elem22_Callback(hObject, eventdata, handles)
% hObject    handle to elem22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,3) = vulling(vulling~=pstr(3,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem23.
function elem23_Callback(hObject, eventdata, handles)
% hObject    handle to elem23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,4) = vulling(vulling~=pstr(3,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem24.
function elem24_Callback(hObject, eventdata, handles)
% hObject    handle to elem24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,5) = vulling(vulling~=pstr(3,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem25.
function elem25_Callback(hObject, eventdata, handles)
% hObject    handle to elem25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,6) = vulling(vulling~=pstr(3,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem26.
function elem26_Callback(hObject, eventdata, handles)
% hObject    handle to elem26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,7) = vulling(vulling~=pstr(3,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem27.
function elem27_Callback(hObject, eventdata, handles)
% hObject    handle to elem27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,8) = vulling(vulling~=pstr(3,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem28.
function elem28_Callback(hObject, eventdata, handles)
% hObject    handle to elem28 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,9) = vulling(vulling~=pstr(3,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem29.
function elem29_Callback(hObject, eventdata, handles)
% hObject    handle to elem29 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(3,10) = vulling(vulling~=pstr(3,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(3,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem30.
function elem30_Callback(hObject, eventdata, handles)
% hObject    handle to elem30 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,1) = vulling(vulling~=pstr(4,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem31.
function elem31_Callback(hObject, eventdata, handles)
% hObject    handle to elem31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,2) = vulling(vulling~=pstr(4,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem32.
function elem32_Callback(hObject, eventdata, handles)
% hObject    handle to elem32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,3) = vulling(vulling~=pstr(4,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem33.
function elem33_Callback(hObject, eventdata, handles)
% hObject    handle to elem33 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,4) = vulling(vulling~=pstr(4,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem34.
function elem34_Callback(hObject, eventdata, handles)
% hObject    handle to elem34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,5) = vulling(vulling~=pstr(4,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem35.
function elem35_Callback(hObject, eventdata, handles)
% hObject    handle to elem35 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,6) = vulling(vulling~=pstr(4,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem36.
function elem36_Callback(hObject, eventdata, handles)
% hObject    handle to elem36 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,7) = vulling(vulling~=pstr(4,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem37.
function elem37_Callback(hObject, eventdata, handles)
% hObject    handle to elem37 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,8) = vulling(vulling~=pstr(4,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem38.
function elem38_Callback(hObject, eventdata, handles)
% hObject    handle to elem38 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,9) = vulling(vulling~=pstr(4,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem39.
function elem39_Callback(hObject, eventdata, handles)
% hObject    handle to elem39 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(4,10) = vulling(vulling~=pstr(4,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(4,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem40.
function elem40_Callback(hObject, eventdata, handles)
% hObject    handle to elem40 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,1) = vulling(vulling~=pstr(5,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem41.
function elem41_Callback(hObject, eventdata, handles)
% hObject    handle to elem41 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,2) = vulling(vulling~=pstr(5,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem42.
function elem42_Callback(hObject, eventdata, handles)
% hObject    handle to elem42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,3) = vulling(vulling~=pstr(5,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem43.
function elem43_Callback(hObject, eventdata, handles)
% hObject    handle to elem43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,4) = vulling(vulling~=pstr(5,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem44.
function elem44_Callback(hObject, eventdata, handles)
% hObject    handle to elem44 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,5) = vulling(vulling~=pstr(5,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem45.
function elem45_Callback(hObject, eventdata, handles)
% hObject    handle to elem45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,6) = vulling(vulling~=pstr(5,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem46.
function elem46_Callback(hObject, eventdata, handles)
% hObject    handle to elem46 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,7) = vulling(vulling~=pstr(5,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem47.
function elem47_Callback(hObject, eventdata, handles)
% hObject    handle to elem47 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,8) = vulling(vulling~=pstr(5,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem48.
function elem48_Callback(hObject, eventdata, handles)
% hObject    handle to elem48 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,9) = vulling(vulling~=pstr(5,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem49.
function elem49_Callback(hObject, eventdata, handles)
% hObject    handle to elem49 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(5,10) = vulling(vulling~=pstr(5,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(5,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem50.
function elem50_Callback(hObject, eventdata, handles)
% hObject    handle to elem50 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,1) = vulling(vulling~=pstr(6,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem51.
function elem51_Callback(hObject, eventdata, handles)
% hObject    handle to elem51 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,2) = vulling(vulling~=pstr(6,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem52.
function elem52_Callback(hObject, eventdata, handles)
% hObject    handle to elem52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,3) = vulling(vulling~=pstr(6,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem53.
function elem53_Callback(hObject, eventdata, handles)
% hObject    handle to elem53 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,4) = vulling(vulling~=pstr(6,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem54.
function elem54_Callback(hObject, eventdata, handles)
% hObject    handle to elem54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,5) = vulling(vulling~=pstr(6,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem55.
function elem55_Callback(hObject, eventdata, handles)
% hObject    handle to elem55 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,6) = vulling(vulling~=pstr(6,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem56.
function elem56_Callback(hObject, eventdata, handles)
% hObject    handle to elem56 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,7) = vulling(vulling~=pstr(6,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem57.
function elem57_Callback(hObject, eventdata, handles)
% hObject    handle to elem57 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,8) = vulling(vulling~=pstr(6,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem58.
function elem58_Callback(hObject, eventdata, handles)
% hObject    handle to elem58 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,9) = vulling(vulling~=pstr(6,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem59.
function elem59_Callback(hObject, eventdata, handles)
% hObject    handle to elem59 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(6,10) = vulling(vulling~=pstr(6,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(6,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem60.
function elem60_Callback(hObject, eventdata, handles)
% hObject    handle to elem60 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,1) = vulling(vulling~=pstr(7,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem61.
function elem61_Callback(hObject, eventdata, handles)
% hObject    handle to elem61 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,2) = vulling(vulling~=pstr(7,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem62.
function elem62_Callback(hObject, eventdata, handles)
% hObject    handle to elem62 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,3) = vulling(vulling~=pstr(7,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem63.
function elem63_Callback(hObject, eventdata, handles)
% hObject    handle to elem63 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,4) = vulling(vulling~=pstr(7,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem64.
function elem64_Callback(hObject, eventdata, handles)
% hObject    handle to elem64 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,5) = vulling(vulling~=pstr(7,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem65.
function elem65_Callback(hObject, eventdata, handles)
% hObject    handle to elem65 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,6) = vulling(vulling~=pstr(7,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem66.
function elem66_Callback(hObject, eventdata, handles)
% hObject    handle to elem66 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,7) = vulling(vulling~=pstr(7,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem67.
function elem67_Callback(hObject, eventdata, handles)
% hObject    handle to elem67 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,8) = vulling(vulling~=pstr(7,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem68.
function elem68_Callback(hObject, eventdata, handles)
% hObject    handle to elem68 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,9) = vulling(vulling~=pstr(7,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem69.
function elem69_Callback(hObject, eventdata, handles)
% hObject    handle to elem69 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(7,10) = vulling(vulling~=pstr(7,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(7,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem70.
function elem70_Callback(hObject, eventdata, handles)
% hObject    handle to elem70 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,1) = vulling(vulling~=pstr(8,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem71.
function elem71_Callback(hObject, eventdata, handles)
% hObject    handle to elem71 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,2) = vulling(vulling~=pstr(8,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem72.
function elem72_Callback(hObject, eventdata, handles)
% hObject    handle to elem72 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,3) = vulling(vulling~=pstr(8,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem73.
function elem73_Callback(hObject, eventdata, handles)
% hObject    handle to elem73 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,4) = vulling(vulling~=pstr(8,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem74.
function elem74_Callback(hObject, eventdata, handles)
% hObject    handle to elem74 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,5) = vulling(vulling~=pstr(8,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem75.
function elem75_Callback(hObject, eventdata, handles)
% hObject    handle to elem75 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,6) = vulling(vulling~=pstr(8,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem76.
function elem76_Callback(hObject, eventdata, handles)
% hObject    handle to elem76 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,7) = vulling(vulling~=pstr(8,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem77.
function elem77_Callback(hObject, eventdata, handles)
% hObject    handle to elem77 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,8) = vulling(vulling~=pstr(8,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem78.
function elem78_Callback(hObject, eventdata, handles)
% hObject    handle to elem78 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,9) = vulling(vulling~=pstr(8,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem79.
function elem79_Callback(hObject, eventdata, handles)
% hObject    handle to elem79 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(8,10) = vulling(vulling~=pstr(8,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(8,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem80.
function elem80_Callback(hObject, eventdata, handles)
% hObject    handle to elem80 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,1) = vulling(vulling~=pstr(9,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem81.
function elem81_Callback(hObject, eventdata, handles)
% hObject    handle to elem81 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,2) = vulling(vulling~=pstr(9,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem82.
function elem82_Callback(hObject, eventdata, handles)
% hObject    handle to elem82 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,3) = vulling(vulling~=pstr(9,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem83.
function elem83_Callback(hObject, eventdata, handles)
% hObject    handle to elem83 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,4) = vulling(vulling~=pstr(9,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem84.
function elem84_Callback(hObject, eventdata, handles)
% hObject    handle to elem84 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,5) = vulling(vulling~=pstr(9,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem85.
function elem85_Callback(hObject, eventdata, handles)
% hObject    handle to elem85 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,6) = vulling(vulling~=pstr(9,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem86.
function elem86_Callback(hObject, eventdata, handles)
% hObject    handle to elem86 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,7) = vulling(vulling~=pstr(9,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem87.
function elem87_Callback(hObject, eventdata, handles)
% hObject    handle to elem87 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,8) = vulling(vulling~=pstr(9,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem88.
function elem88_Callback(hObject, eventdata, handles)
% hObject    handle to elem88 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,9) = vulling(vulling~=pstr(9,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem89.
function elem89_Callback(hObject, eventdata, handles)
% hObject    handle to elem89 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(9,10) = vulling(vulling~=pstr(9,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(9,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem90.
function elem90_Callback(hObject, eventdata, handles)
% hObject    handle to elem90 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,1) = vulling(vulling~=pstr(10,1));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,1));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem91.
function elem91_Callback(hObject, eventdata, handles)
% hObject    handle to elem91 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,2) = vulling(vulling~=pstr(10,2));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,2));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem92.
function elem92_Callback(hObject, eventdata, handles)
% hObject    handle to elem92 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,3) = vulling(vulling~=pstr(10,3));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,3));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem93.
function elem93_Callback(hObject, eventdata, handles)
% hObject    handle to elem93 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,4) = vulling(vulling~=pstr(10,4));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,4));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem94.
function elem94_Callback(hObject, eventdata, handles)
% hObject    handle to elem94 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,5) = vulling(vulling~=pstr(10,5));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,5));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem95.
function elem95_Callback(hObject, eventdata, handles)
% hObject    handle to elem95 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,6) = vulling(vulling~=pstr(10,6));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,6));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem96.
function elem96_Callback(hObject, eventdata, handles)
% hObject    handle to elem96 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,7) = vulling(vulling~=pstr(10,7));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,7));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem97.
function elem97_Callback(hObject, eventdata, handles)
% hObject    handle to elem97 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,8) = vulling(vulling~=pstr(10,8));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,8));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem98.
function elem98_Callback(hObject, eventdata, handles)
% hObject    handle to elem98 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,9) = vulling(vulling~=pstr(10,9));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,9));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);

% --- Executes on button press in elem99.
function elem99_Callback(hObject, eventdata, handles)
% hObject    handle to elem99 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% huidige patroon opvragen.
p = str2double(get(handles.patroongetal,'String'));
% m,n en vulling opvragen.
m = get(handles.kiesm, 'Value'); n = get(handles.kiesn, 'Value');
vulling = get(handles.vulling,'String'); vulling = vulling{get(handles.vulling,'Value')};
% huidige patroon als string weergegeven.
pstr = tekenpatroon(p,m,n,[1,1],vulling);

% huidige patroon aanpassen
pstr(10,10) = vulling(vulling~=pstr(10,10));
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
p = patroongetal(pstr,vulling); set(handles.patroongetal, 'String', int2str(p)); handles.oudp = p;
% De string van dit vakje aanpassen
set(hObject, 'String', pstr(10,10));

% Tot slot nog het gebruikte commando uitvoeren (via wachtrij om alleen de laatste keer werkelijk uit te voeren)
handles.commandoelem = ['patroongetal([''' pstr(1,:) ''''];
for i=2:m handles.commandoelem = [handles.commandoelem ';''' pstr(i,:) '''']; end
handles.commandoelem = [handles.commandoelem '], ''' vulling ''')'];
guidata(hObject, handles);